Debian Bug report logs - #585409
Please package wine1.2 series

version graph

Package: wine; Maintainer for wine is Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>; Source for wine is src:wine.

Reported by: Svante R Signell <srs@kth.se>

Date: Thu, 10 Jun 2010 11:39:01 UTC

Severity: important

Merged with 589371, 589773, 658970

Found in versions 1.2-0.1, wine/1.0.1-3

Fixed in version 1.2.3-0.1

Done: Michael Gilbert <mgilbert@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Thu, 10 Jun 2010 11:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante R Signell <srs@kth.se>:
New Bug report received and forwarded. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Thu, 10 Jun 2010 11:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Svante R Signell <srs@kth.se>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please package wine1.2 series
Date: Thu, 10 Jun 2010 13:08:26 +0200
Package: wine
Version: 1.0.1-3
Severity: wishlist
Tags: experimental sid

Since the wine 1.2 release candidates are available now why not package
them for experimental, and later on when 1.2.x is out for sid. In
experimental the latest version is 1.1.24 : (

Thanks!

-- System Information:
Debian Release: squeeze/sid
  APT prefers stable
  APT policy: (500, 'stable'), (100, 'testing'), (50, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages wine depends on:
ii  libwine-alsa                  1.0.1-3    Windows API implementation
- ALSA 
ii  libwine-cms                   1.0.1-3    Windows API implementation
- color
ii  libwine-gl                    1.0.1-3    Windows API implementation
- OpenG
ii  libwine-gphoto2               1.0.1-3    Windows API implementation
- camer
ii  libwine-ldap                  1.0.1-3    Windows API implementation
- LDAP 
ii  libwine-print                 1.0.1-3    Windows API implementation
- print
ii  libwine-sane                  1.0.1-3    Windows API implementation
- scann
ii  wine-bin                      1.0.1-3    Windows API implementation
- binar
ii  wine-utils                    1.0.1-3    Windows API implementation
- utili

Versions of packages wine recommends:
ii  ttf-liberation         1.05.2.20091019-4 Fonts with the same metrics
as Tim

Versions of packages wine suggests:
pn  avscan | klamav | clamav      <none>     (no description available)
pn  binfmt-support                <none>     (no description available)
ii  ttf-mscorefonts-installer     3.2        Installer for Microsoft
TrueType c
pn  winbind                       <none>     (no description available)
ii  wine-doc                      1.0.0-1    Windows API implementation
- docum

Versions of packages libwine depends on:
ii  ia32-libs                     20090808   ia32 shared libraries for
use on a
ii  libc6-i386                    2.10.2-9   GNU C Library: 32-bit
shared libra

-- no debconf information






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Thu, 10 Jun 2010 16:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ove Kaaven <ovek@arcticnet.no>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Thu, 10 Jun 2010 16:15:06 GMT) Full text and rfc822 format available.

Message #10 received at 585409@bugs.debian.org (full text, mbox):

From: Ove Kaaven <ovek@arcticnet.no>
To: Svante R Signell <srs@kth.se>, 585409@bugs.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: Please package wine1.2 series
Date: Thu, 10 Jun 2010 17:23:57 +0200
Den 10. juni 2010 13:08, skrev Svante R Signell:
> Package: wine
> Version: 1.0.1-3
> Severity: wishlist
> Tags: experimental sid
>
> Since the wine 1.2 release candidates are available now why not package
> them for experimental, and later on when 1.2.x is out for sid. In
> experimental the latest version is 1.1.24 : (

Actually the latest version in sid is 1.1.32 (wine-unstable package). 
(That's still not very recent, of course, but there have been some 
problems preventing packaging newer releases. That's covered in the bug 
tracker for the wine-unstable packages.)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Thu, 10 Jun 2010 21:06:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <srs@kth.se>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Thu, 10 Jun 2010 21:06:13 GMT) Full text and rfc822 format available.

Message #15 received at 585409@bugs.debian.org (full text, mbox):

From: Svante Signell <srs@kth.se>
To: Ove Kaaven <ovek@arcticnet.no>
Cc: "585409@bugs.debian.org" <585409@bugs.debian.org>
Subject: Re: [pkg-wine-party] Bug#585409: Please package wine1.2 series
Date: Thu, 10 Jun 2010 23:04:21 +0200
On Thu, 2010-06-10 at 17:23 +0200, Ove Kaaven wrote:
> Den 10. juni 2010 13:08, skrev Svante R Signell:
> > Package: wine
> > Version: 1.0.1-3
> > Severity: wishlist
> > Tags: experimental sid
> >
> > Since the wine 1.2 release candidates are available now why not package
> > them for experimental, and later on when 1.2.x is out for sid. In
> > experimental the latest version is 1.1.24 : (
> 
> Actually the latest version in sid is 1.1.32 (wine-unstable package). 
> (That's still not very recent, of course, but there have been some 
> problems preventing packaging newer releases. That's covered in the bug 
> tracker for the wine-unstable packages.)

Looks like the missing package was gcc-mingw32  4.4.4 that you NMUed
yourself. So now we could expect the 1.2 pre-releases packaged soon?





Merged 585409 589371. Request was from Mark Purcell <msp@debian.org> to control@bugs.debian.org. (Sat, 17 Jul 2010 22:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sat, 17 Jul 2010 22:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <msp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sat, 17 Jul 2010 22:36:05 GMT) Full text and rfc822 format available.

Message #22 received at 585409@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: 557783@bugs.debian.org
Cc: 585409@bugs.debian.org
Subject: What's new in Wine 1.2
Date: Sun, 18 Jul 2010 08:28:52 +1000
[Message part 1 (text/plain, inline)]
http://www.winehq.org/announce/1.2

Wine Announcement
The Wine team is proud to announce that the stable release Wine 1.2 is
now available.

This release represents two years of development effort and over
23,000 changes. The main highlights are the support for 64-bit
applications, and the new graphics based on the Tango standard.

It also contains a lot of improvements across the board, and over
3,000 bug fixes. See the release notes below for a summary of the
major changes.

The source is available from the following locations:

  http://ibiblio.org/pub/linux/system/emulators/wine/wine-1.2.tar.bz2
  http://prdownloads.sourceforge.net/wine/wine-1.2.tar.bz2

Binary packages for various distributions will be available from:

  http://www.winehq.org/download

You will find documentation on http://www.winehq.org/documentation

You can also get the current source directly from the git
repository. Check http://www.winehq.org/git for details.

Wine is available thanks to the work of many people. See the file
AUTHORS in the distribution for the complete list.

----------------------------------------------------------------

What's new in Wine 1.2
======================

*** Core functionality

- Loading and running 64-bit Windows applications is now supported on
  x86-64 processors (only on Linux at this point).

- There are now two flavors of Wine prefixes, 32-bit and
  64-bit. 32-bit prefixes only support 32-bit applications, while
  64-bit prefixes support both 32-bit and 64-bit applications. The
  prefix flavor is set at prefix creation time and cannot be changed
  afterwards, since all the files and registry entries are in
  different locations. Backwards compatibility is ensured by
  considering all prefixes created with older Wine versions to be
  32-bit.

- WoW64 file system redirection is supported now. When running a
  32-bit application in a 64-bit prefix, accesses to the
  window/system32 directory are automatically redirected to
  windows/syswow64.

- WoW64 registry redirection is now supported in 64-bit prefixes. This
  allows both 32-bit and 64-bit applications to set platform-specific
  registry keys without stepping on each other.

- All the 16-bit support code has been moved to a set of independent
  16-bit modules. No 16-bit code is loaded or initialized when running
  a standard Win32 application, unless it starts making 16-bit calls.

- The mount manager now reports the actual UUID for disk devices that
  support it instead of a hard-coded one.

- Symbolic links are now supported in the registry.

- The C runtime libraries msvcr80, msvcr90 and msvcr100 used by recent
  Visual C++ versions are now partially implemented.

- Some functions now use a Microsoft-compatible function prologue when
  building with a recent enough gcc. This allows Steam overlays to
  work.


*** User interface

- There are new icons for all the built-in applications, as well as
  for the standard toolbars and images. The icons are based on the
  Tango set for a nicer integration with the native Unix desktop look.

- Animated cursors can now be loaded, though only the first frame of
  the animation is used as a static cursor.

- The mouse cursor is now updated correctly in applications that
  create windows from different threads, like Internet Explorer.

- The standard print and page setup dialogs are working much better
  now.

- There is now an application wizard control panel to manage installed
  applications.

- Rendering of bi-directional text is now supported reasonably
  well. There is also some support for Arabic text shaping.

- Many features of the RichEdit control are improved, particularly
  support for tables, URL detection, cursor positioning, scrollbar
  management, and support for windowless controls.

- Many common controls work better now, particularly the listview,
  calendar and tab controls.

- There is now a partial implementation of the Microsoft Text Services
  framework, which provides better input method support in modern
  applications.

- There is now a proper user interface for importing, exporting and
  managing cryptographic keys and certificates.

- Wine is now fully translated to French, German, Dutch, Italian,
  Portuguese, Romanian, Polish, Lithuanian, Norwegian, and Korean. It
  has partial translations for another twenty languages.


*** Desktop integration

- The XDG standard for application startup notification is now
  implemented.

- The NET_WORKAREA property is now supported to let applications take
  into account the size of the Unix desktop task bars.

- File associations created by a Windows applications are now
  registered with the Unix desktop.

- Application icons are now set with the NET_WM_ICON hint, which
  enables alpha channel transparency under window managers that
  support it.

- Maximizing a window from the Unix window manager is now detected and
  the state is correctly reflected on the Windows application side.

- The XDG desktop screen saver is now launched when a Windows
  application makes a request to start the screen saver.

- Start Menu entries are now properly removed when an application is
  uninstalled.

- Copying and pasting images between Windows and Unix applications
  works more reliably now, and more image formats are supported.

- Launching an external Unix Web browser from a Windows application
  now works correctly.

- MSI files are now associated with Wine to enable launching them
  directly from the desktop.

- The virtual desktop window now switches to full-screen mode when its
  size matches that of the screen.

- The strange window management behavior used by Delphi-generated
  applications is better supported now.


*** Graphics

- Subpixel font rendering is now supported, which greatly improves
  text appearance on LCD screens. The subpixel configuration is
  derived from the system fontconfig and Xft settings.

- Icons with alpha channels are now properly blended in, for a much
  nicer appearance.

- Image lists now properly store the alpha channel of images and use
  it when displaying them.

- The windowscodecs dll has been added, with codecs for the JPEG, GIF,
  PNG, BMP, ICO, and TIFF image formats.

- Many functions are now implemented in GDIPlus. The gdiplus dll is
  now considered good enough to load the built-in version by default.

- Overlays are now supported in DirectDraw.

- Many more capabilities are now supported in the SANE scanner
  backend. This improves scanning support in Acrobat.


*** Audio

- The openal32 dll is now implemented, as a wrapper around the Unix
  OpenAL library.

- There is now an initial implementation of the mmdevapi dll (part of
  the new Vista sound architecture), using OpenAL for sound I/O.

- The msgsm32.acm GSM codec is now supported.

- The ALSA sound driver now works better with PulseAudio's ALSA
  emulation.

- Digital playback of audio CDs is now supported.


*** Internet and networking

- The HTTP protocol implementation has seen many improvements, in
  particular better handling of proxies and redirects, better cookie
  management, support for gzip encoding, fixes for chunked transfer
  mode, support for IPv6 addresses, and better certificate validation
  on secure connections.

- The Gecko HTML engine has been updated to a more recent upstream
  version. Many more HTML objects are now implemented.

- The RPC layer now properly supports server-side authentication and
  impersonation. The COM marshalling/unmarshalling is also more
  compatible. RPC is now supported over the HTTP protocol too.

- There is now an essentially complete implementation of the
  JavaScript language.

- The IRDA network protocol is now supported by the socket layer.

- The inetmib1 dll is now implemented, with support for the standard
  SNMP MIB tables.

- The inetcomm dll now implements the POP3 and SMTP protocols, as well
  as better MIME support.

- Extended mail providers are now better supported, particularly the
  native Outlook provider. Mail attachments are also supported now.

- Many undocumented functions in the shlwapi dll have been implemented
  for improved Internet Explorer support.


*** Direct3D

- FBOs are now used by default for off-screen rendering in Direct3D.

- Backbuffers larger/smaller than their associated window are now
  correctly stretched.

- A large portion of the d3dx9 dlls is now implemented, most notably
  the shader assembler, .x file support, functions for fonts, general
  3D math, mesh handling, and sprites. A start has been made with the
  texture and effect functions.

- Fog handling has improved a lot.

- Various YUV texture formats are now supported.

- wined3d contexts are now managed per-thread, and play nice both with
  other wined3d instances and opengl32 GL contexts. Contexts are
  checked for validity before being used (e.g. if the associated
  window is destroyed.)

- Point sprite handling has improved a lot.

- The shader source is now dumped on GLSL compile/link failures. This
  is mostly to help driver developers, like Mesa, with investigating
  GLSL bugs triggered by Wine.

- The graphics card detection code is improved, and many more graphics
  cards are now recognized.

- User clip planes are now supported in shaders. This allows proper
  water reflections in Half-Life 2.

- There is now an initial implementation of Direct3D 10, including the
  dxgi, d3d10core and d3d10 dlls.  Most of the work so far has gone
  into parsing d3d10 effects and SM4 shaders.

- Shadow samplers are now properly supported. This fixes shadows in
  StarCraft 2.

- There is now a shader based implementation of D3D fixed function
  fragment processing. This avoids some limitations of the previous
  OpenGL fixed function based approach.

- Partial updates of surfaces with compressed formats are now properly
  supported.

- Many new OpenGL extensions are now supported. These include:

   - EXT_provoking_vertex/ARB_provoking_vertex. This allows the
     correct vertex color to be used when flat shading is enabled, and
     helps Civilization IV in particular.

   - EXT_vertex_array_bgra/ARB_vertex_array_bgra. This allows for more
     efficient handling of BGRA (D3DCOLOR) data in the fixed function
     pipeline.

   - EXT_draw_buffers2. This enables independent color write masks
     when multiple (simultaneous) render targets are in use.

   - Various nVidia extensions to ARB vertex/fragment programs. These
     allow SM3 support with the ARB vertex/fragment program shader
     backend.

   - EXT_texture_compression_rgtc. This adds support for the ATI2N
     (also known as 3Dc) compressed texture format.

   - ARB_texture_rg. This allows for more efficient support of the
     R16F, G16R16F, R32F and G32R32F texture formats.

   - ARB_framebuffer_object. This is mostly the same as the existing
     support for EXT_framebuffer_object, but improves rendering with a
     depth/stencil buffer larger than the color buffer(s). It helps
     (among others) Splinter Cell,

   - ARB_sync. This adds support for multi-threaded / cross GL context
     event queries used by Dragon Age: Origins.

   - ARB_half_float_vertex. This adds support for 16-bit floating
     point vertex formats on cards that don't already support
     NV_half_float. It helps Supreme Commander.

- There is now a general framework for supporting variations/quirks in
  GL drivers.


*** Built-in applications

- The Wine debugger now displays a crash dialog to let the user know
  that a crash happened before dumping the backtrace information.

- The Wine debugger now uses the Dwarf exception unwinding data for
  more reliable backtraces.

- The file dialogs in built-in applications are now resizable.

- Regedit can now import from and export to files in Unicode format.

- Wineboot now displays a dialog while creating or updating the prefix
  directory to let the user know that something is happening, since
  the update can take some time, particularly with 64-bit prefixes.

- Text replacement is now implemented in Notepad.

- The print preview feature in Wordpad now works much better.

- Navigation in help files now works better in Winhelp. Many graphical
  glitches have also been fixed.

- The Winecfg dialogs have been tweaked so that the application is
  usable in a 640x480 desktop. The About panel has been redesigned
  with better graphics.

- The command-line parser in cmd.exe is more compatible now, which
  should enable more Windows batch files to execute correctly. There
  is also a regression test suite for it.

- Rpcss now implements a proper RPC endpoint mapper.


*** Build environment

- The Wine IDL compiler can now generate correct code for all the
  standard IDL files, including proper exception handling. A large
  number of COM proxies and servers are now automatically generated
  from their IDL definitions.

- The fake dll placeholders are now built at compile time, instead of
  being generated every time a Wine prefix is created. This makes it
  possible to install a placeholder for every supported dll, which
  should avoid many failures in installers that check dll versions.

- configure now supports the --disable-tests option to prevent
  building the test suite. This allows for faster compile times,
  particularly when bisecting a regression.

- The cross-compiled tests are now built against the Wine import
  libraries instead of the Mingw ones. The latter are not compatible
  enough for our needs.

- winegcc now handles resource files just like normal object files and
  links them into the final binary without requiring special build
  rules.

- winebuild and winegcc now fully support Solaris.

- Wine now builds properly on Cygwin, though some of the resulting
  binaries do not work correctly.

- Makefiles are now created as needed during the build process,
  instead of being all created together at configure time. This makes
  it unnecessary to run 'make depend' in most cases.

- winemaker now has better support for Visual C++ project files.


*** Miscellaneous

- The OLE storage implementation now supports transacted storage, with
  proper commits and rollbacks. This enables support for Microsoft
  Office documents containing macros.

- The MSI installer now supports patches, which enables the
  installation of service packs for many applications. Many more MSI
  standard actions are also supported now.

- The rsaenh dll now supports the SHA-256, SHA-384, and SHA-512
  encryption algorithms, as well as CALG_SSL3_SHAMD5 hashing.

- OLE database objects are now implemented, which fixes the clipart
  functionality in Microsoft Office 2007.

- Copying and pasting OLE objects across applications works better now.

- Support for cryptographic signatures and certificates is improved,
  including support for certificate trust lists.

- The Task Scheduler service is now implemented.


*** Performance

- Bitmap stretching and alpha blending is now done through Xrender
  when possible, which avoids a time-consuming round-trip of the
  bitmap bits from the X server.

- Startup time for MSI installers that contain a large amount of
  strings is much improved.

- Setting the processor affinity for threads or processes is now
  supported, which improves multi-core performance for applications
  that take advantage of it.

- Loading large symbol tables in the Wine debugger is much faster
  now.

- FBO handling has improved significantly. Recently used FBO
  configurations are now cached, which is a major performance
  improvement.

- Loading shader constants is more efficient now. This improves
  performance for (among others) Half-Life 2, Counter Strike: Source,
  and Source Engine games in general.

- The performance of sRGB samples is improved, this particularly helps
  Source Engine games.


*** Platform-specific changes

- Joysticks POV switch and axis remapping are now better supported on
  Linux. Joysticks are now supported on Mac OS X too.

- The various DVD I/O controls are now implemented on Mac OS X.

- The network routing and statistics functions in iphlpapi are now
  implemented on Solaris and FreeBSD.

- Mach-O debugging symbols (the format used by Mac OS X) are now
  supported in the debugger.

- Event ports are now used on Solaris for improved wineserver
  performance.


*** New library dependencies

- The libgnutls library is now used for encryption and certificate
  validation in secur32.

- The libgsm library is now used for the GSM codec support.

- The libmpg123 library is now used for mp3 decoding (except on Mac OS
  X where CoreAudio functions are used instead).

- The libopenal library is now used for the openal32 dll
  implementation, as well as for the mmdevapi dll (Vista sound
  support).

- The libtiff library is now used for TIFF image decoding in the
  windowscodecs dll.

- The libv4l1 library is now used for video capture in DirectShow.


*** Backwards compatibility

- The wineshelllink helper script has been removed. All the menu and
  desktop integration is now handled by winemenubuilder.

- The deprecated wineprefixcreate script has been removed. Wine prefix
  directories are created automatically as needed.

- Old LinuxThreads setups are no longer supported. Wine now requires
  the modern NPTL threading that has been standard on Linux for many
  years now.

- The PBuffer option for off-screen rendering has been removed from
  Direct3D. This code was unmaintained, and offered little advantage
  over the "fbo" or "backbuffer" modes.


*** Known issues with recent 1.2 changes

- The subpixel font rendering doesn't yet look quite as nice as that
  used by the rest of the Unix desktop.

- The OLE storage performance can degrade pretty badly on files with a
  particular layout.

- There is no 64-bit version of the Gecko engine yet, so 64-bit
  applications that use a browser control won't work correctly.

--
Alexandre Julliard
julliard@winehq.org

 Hosted By CodeWeavers
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Mon, 09 Aug 2010 15:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Swanson <mikeonthecomputer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Mon, 09 Aug 2010 15:45:05 GMT) Full text and rfc822 format available.

Message #27 received at 585409@bugs.debian.org (full text, mbox):

From: Mike Swanson <mikeonthecomputer@gmail.com>
To: 585409@bugs.debian.org
Subject: Re: Please package wine1.2 series
Date: Mon, 9 Aug 2010 08:41:29 -0700
I'd also like to request that for amd64, a full 64-bit Wine can now be
included.  It's pretty complicated to get it all built, but with a
combination of 32-bit Wine and 64-bit Wine on the same system, it's
now possible to run Win16, Win32, and Win64 applications all on the
same system.  This could possibly even be done in a manner so you can
only install 64-bit Wine (Win64 apps only) or 32-bit Wine (Win16/Win32
apps) without requiring the other (use Recommends?) although having
both of them at the same time massively expands the applications you
can run.




Merged 585409 589371 589773. Request was from Ivan Baldo <ibaldo@adinet.com.uy> to control@bugs.debian.org. (Thu, 12 Aug 2010 14:54:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Thu, 12 Aug 2010 15:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Baldo <ibaldo@adinet.com.uy>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Thu, 12 Aug 2010 15:00:03 GMT) Full text and rfc822 format available.

Message #34 received at 585409@bugs.debian.org (full text, mbox):

From: Ivan Baldo <ibaldo@adinet.com.uy>
To: 585409@bugs.debian.org
Subject: This is not easy, don't be unfair!
Date: Thu, 12 Aug 2010 11:56:54 -0300
[Message part 1 (text/plain, inline)]
    Hey people! I think you are being very unfair with Ove, Wine is not 
a small package, not at all, it is big, it is *very* complex, and it 
seems that the only one maintaining it in Debian is Ove!
    While having Squeeze released with the stable Wine 1.2 would be 
ideal and save some time for a lot of people, it might not happen, but 
we cannot blame Ove for that! He already explained the problems with 
Gecko, its dependencies, the Debian rules and high quality standards, etc.
    Maybe someone can help him accomplish this goal, but please, don't 
criticize him unfairly, instead be helpful, be constructive, and be 
thankful for his work.
    Thanks A LOT Ove!!!!
    Sorry, I felt the need to write this message.
    Good bye.

-- 
Ivan Baldo - ibaldo@adinet.com.uy - http://ibaldo.codigolibre.net/
From Montevideo, Uruguay, at the south of South America.
Freelance programmer and GNU/Linux system administrator, hire me!
Alternatives: ibaldo@codigolibre.net - http://go.to/ibaldo

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Thu, 12 Aug 2010 20:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Thu, 12 Aug 2010 20:24:08 GMT) Full text and rfc822 format available.

Message #39 received at 585409@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Svante R Signell <srs@kth.se>, Mark Purcell <msp@debian.org>, Mike Swanson <mikeonthecomputer@gmail.com>, Ivan Baldo <ibaldo@adinet.com.uy>, Erik <my.bugreports@gmail.com>, YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>, Dennis 123321 <dennis123321@googlemail.com>, Adrian Glaubitz <glaubitz@physik.fu-berlin.de>, Pedro R <pedrib@gmail.com>, Sven Arvidsson <sa@whiz.se>, Tuco <tuco.xyz@gmail.com>
Cc: Ove Kaaven <ovek@arcticnet.no>, 585409@bugs.debian.org, 479861@bugs.debian.org, 557783@bugs.debian.org, 591837@bugs.debian.org
Subject: Wine 1.2 packages with wine-gecko
Date: Thu, 12 Aug 2010 22:20:40 +0200
Hi everyone,

I've prepared packages of gcc-mingw32 4.5.0, a snapshot of mingw-w64,
wine-gecko 1.0.0 and wine 1.2; they are available on http://www.sk2.org/wine/
along with everything needed to rebuild them (build gcc-mingw32 first, then
mingw-w64, wine-gecko and wine).

I've already attempted to contact Ove and the Wine packaging team but have
not received any response so far. Given the time of year it's possible
everyone involved is on holiday! Since there is some unrest around having
newer versions of Wine in Debian, and since I'd done most of the work
already, I thought I'd send this announcement and avoid unnecessary duplicate
work.

gcc-mingw32 and ming-w64 are just the minimum required to build wine-gecko;
I'm not sure they're appropriate for replacing the existing Mingw32-based
packages in Debian. I haven't contacted the people involved yet.

wine-gecko itself works on i386, and as far as I can determine on amd64 (at
least the Steam browser works). It should probably end up with the version in
the package name, to allow multiple versions to be installed in parallel (for
instance if future versions of wine-unstable use a newer version of
wine-gecko, once wine-unstable becomes installable alongside wine).

The wine package includes everything in Ove's git tree, and newer programs
shipped in Wine 1.2. The changelog is complete, but doesn't list upstream's
change summaries as Ove usually does.

I'd appreciate your feedback! Regarding #591837, the provided patch doesn't
work but it may be possible that Wine 1.2 builds as-is on kfreebsd-i386.

Regards,

Stephen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Fri, 13 Aug 2010 18:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tuco <tuco.xyz@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Fri, 13 Aug 2010 18:33:07 GMT) Full text and rfc822 format available.

Message #44 received at 585409@bugs.debian.org (full text, mbox):

From: Tuco <tuco.xyz@gmail.com>
To: Stephen Kitt <steve@sk2.org>
Cc: Svante R Signell <srs@kth.se>, Mark Purcell <msp@debian.org>, Mike Swanson <mikeonthecomputer@gmail.com>, Ivan Baldo <ibaldo@adinet.com.uy>, Erik <my.bugreports@gmail.com>, YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>, Dennis 123321 <dennis123321@googlemail.com>, Adrian Glaubitz <glaubitz@physik.fu-berlin.de>, Pedro R <pedrib@gmail.com>, Sven Arvidsson <sa@whiz.se>, Ove Kaaven <ovek@arcticnet.no>, 585409@bugs.debian.org, 479861@bugs.debian.org, 557783@bugs.debian.org, 591837@bugs.debian.org
Subject: Re: Wine 1.2 packages with wine-gecko
Date: Fri, 13 Aug 2010 14:31:56 -0400
[Message part 1 (text/plain, inline)]
For kfreebsd, wine 1.2 has the same problem, except in a different
place. Here's a new patch. Again I verified it works by running a
simple windows program.

For the mingw32 stuff, I got this error when trying to install your package:

Unpacking mingw-w32 (from mingw-w32_0~20100726-0.1_all.deb) ...
dpkg: error processing mingw-w32_0~20100726-0.1_all.deb (--install):
 trying to overwrite '/usr/i586-mingw32msvc/include/mbstring.h', which
is also in package mingw32-runtime 3.13-1

On 8/12/10, Stephen Kitt <steve@sk2.org> wrote:
> Hi everyone,
>
> I've prepared packages of gcc-mingw32 4.5.0, a snapshot of mingw-w64,
> wine-gecko 1.0.0 and wine 1.2; they are available on
> http://www.sk2.org/wine/
> along with everything needed to rebuild them (build gcc-mingw32 first, then
> mingw-w64, wine-gecko and wine).
>
> I've already attempted to contact Ove and the Wine packaging team but have
> not received any response so far. Given the time of year it's possible
> everyone involved is on holiday! Since there is some unrest around having
> newer versions of Wine in Debian, and since I'd done most of the work
> already, I thought I'd send this announcement and avoid unnecessary
> duplicate
> work.
>
> gcc-mingw32 and ming-w64 are just the minimum required to build wine-gecko;
> I'm not sure they're appropriate for replacing the existing Mingw32-based
> packages in Debian. I haven't contacted the people involved yet.
>
> wine-gecko itself works on i386, and as far as I can determine on amd64 (at
> least the Steam browser works). It should probably end up with the version
> in
> the package name, to allow multiple versions to be installed in parallel
> (for
> instance if future versions of wine-unstable use a newer version of
> wine-gecko, once wine-unstable becomes installable alongside wine).
>
> The wine package includes everything in Ove's git tree, and newer programs
> shipped in Wine 1.2. The changelog is complete, but doesn't list upstream's
> change summaries as Ove usually does.
>
> I'd appreciate your feedback! Regarding #591837, the provided patch doesn't
> work but it may be possible that Wine 1.2 builds as-is on kfreebsd-i386.
>
> Regards,
>
> Stephen
>
[kfreebsd.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Fri, 13 Aug 2010 19:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Fri, 13 Aug 2010 19:03:10 GMT) Full text and rfc822 format available.

Message #49 received at 585409@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Tuco <tuco.xyz@gmail.com>
Cc: Svante R Signell <srs@kth.se>, Mark Purcell <msp@debian.org>, Mike Swanson <mikeonthecomputer@gmail.com>, Ivan Baldo <ibaldo@adinet.com.uy>, Erik <my.bugreports@gmail.com>, YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>, Dennis 123321 <dennis123321@googlemail.com>, Adrian Glaubitz <glaubitz@physik.fu-berlin.de>, Pedro R <pedrib@gmail.com>, Sven Arvidsson <sa@whiz.se>, Ove Kaaven <ovek@arcticnet.no>, 585409@bugs.debian.org, 479861@bugs.debian.org, 557783@bugs.debian.org, 591837@bugs.debian.org
Subject: Re: Wine 1.2 packages with wine-gecko
Date: Fri, 13 Aug 2010 21:00:17 +0200
On Fri, Aug 13, 2010 at 02:31:56PM -0400, Tuco wrote:
> For kfreebsd, wine 1.2 has the same problem, except in a different
> place. Here's a new patch. Again I verified it works by running a
> simple windows program.

Great, thanks!

> For the mingw32 stuff, I got this error when trying to install your package:
> 
> Unpacking mingw-w32 (from mingw-w32_0~20100726-0.1_all.deb) ...
> dpkg: error processing mingw-w32_0~20100726-0.1_all.deb (--install):
>  trying to overwrite '/usr/i586-mingw32msvc/include/mbstring.h', which
> is also in package mingw32-runtime 3.13-1

Oops, I need to add a Breaks: mingw32-runtime then. mingw-w32 is
intended to replace mingw32-runtime (it already Provides: it).

Regards,

Stephen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Thu, 19 Aug 2010 11:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Knoth <adi@drcomp.erfurt.thur.de>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Thu, 19 Aug 2010 11:00:05 GMT) Full text and rfc822 format available.

Message #54 received at 585409@bugs.debian.org (full text, mbox):

From: Adrian Knoth <adi@drcomp.erfurt.thur.de>
To: 585409@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Any chance to get this into squeeze?
Date: Thu, 19 Aug 2010 12:57:45 +0200
severity 585409 important
tag 585409 - experimental
tag 585409 + squeeze
thanks

Hi!

I took the liberty to raise this to important.

Lenny shipped wine-1.0.1-1, now it seems we're going to ship 1.0.1-3 in
squeeze. This can't be true, especially with wine 1.2 upstream being
available.

I know we're in freeze, but we should offer a decent wine version to our
upcoming squeeze users.

To me, that's a release goal. YMMV. If so, feel free to lower the
severity level.


Just my €0.02

-- 
mail: adi@thur.de  	http://adi.thur.de	PGP/GPG: key via keyserver




Severity set to 'important' from 'wishlist' Request was from Adrian Knoth <adi@drcomp.erfurt.thur.de> to control@bugs.debian.org. (Thu, 19 Aug 2010 11:00:06 GMT) Full text and rfc822 format available.

Removed tag(s) experimental. Request was from Adrian Knoth <adi@drcomp.erfurt.thur.de> to control@bugs.debian.org. (Thu, 19 Aug 2010 11:00:08 GMT) Full text and rfc822 format available.

Added tag(s) squeeze. Request was from Adrian Knoth <adi@drcomp.erfurt.thur.de> to control@bugs.debian.org. (Thu, 19 Aug 2010 11:00:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Thu, 19 Aug 2010 22:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <lists@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Thu, 19 Aug 2010 22:06:03 GMT) Full text and rfc822 format available.

Message #65 received at 585409@bugs.debian.org (full text, mbox):

From: Stephen Kitt <lists@sk2.org>
To: debian-release@lists.debian.org
Cc: Michael Gilbert <michael.s.gilbert@gmail.com>, pkg-wine-party@lists.alioth.debian.org, Ove Kaaven <ovek@arcticnet.no>, 585409@bugs.debian.org, Adrian Knoth <adi@drcomp.erfurt.thur.de>
Subject: Possibility of getting an up-to-date version of Wine into Squeeze
Date: Fri, 20 Aug 2010 00:02:15 +0200
Dear release team,

I know what the answer ought to be at this stage, but I thought I'd ask
anyway; is there any chance whatsoever that, should updated packages of Wine
be ready soon (and satisfy the usual quality requirements), they could be
accepted into Squeeze?

The version of Wine Squeeze is going to ship with (1.0.1) is nearly two years
old and for many users its use is greatly limited. The recently released
stable version, 1.2, has vastly improved support for a large number of
applications and games. I have prepared packages in the same style as the
current maintainer's, and a few people have tested them. I haven't had much
reaction from Ove but I do know he is aware of their existence; I haven't
consulted him regarding this particular request.

The changelog for my packages is as follows:

wine (1.2-0.1) unstable; urgency=low
  
  [ Stephen Kitt ]

  * Non-maintainer upload.
  * New upstream version. Closes: #585409, #589773.
    - winebrowser correctly passes URLs via DDE. Closes: #491186.
  * Include ptrace speedup to avoid lag in Steamworks-based games.
  * Now that stable has debhelper 7, use it:
    - use dh_lintian;
    - add ${misc:Depends};
    - drop dh_desktop.
  * Install new utilities into libwine-bin:
    - attrib.exe;
    - mshta.exe;
    - ngen.exe;
    - ping.exe;
    - sc.exe.
  * Install new French and German translations of winemaker.1 into
    libwine-dev.
  * Install new NLS file into libwine.
  * Remove obsolete build dependencies (dependencies no longer present in
    stable). Closes: #578975.
  * Switch to 3.0 (quilt) source format and split existing patches.
  * Build on kfreebsd (thanks Tuco!). Closes: #591837.
  
  [ Ove Kaaven ]
  
  * Install function_grep.pl into libwine-dev, in /usr/share/wine, and
    modify winedump accordingly. Closes: #555645.
  * Replace @SUFFIX@ with current suffix in preprocessed maintainer
    scripts.
  * Add proper package suffixes to the installed reportbug control files.
  * Use "wine-safe start /unix" as the MIME handler for the
    application/x-msdos-program type.

 -- Stephen Kitt <steve@sk2.org>  Thu, 05 Aug 2010 00:00:14 +0200


I realise this request utterly flies in the face of the "minimal changes"
requirement, I'm not even the maintainer of the package, and Wine doesn't
have any RC-bug filed against it; hence my initial comment. I'm at least
hoping I won't waste too much of anyone's time...

Regards,

Stephen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sun, 22 Aug 2010 21:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sun, 22 Aug 2010 21:21:08 GMT) Full text and rfc822 format available.

Message #70 received at 585409@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Stephen Kitt <lists@sk2.org>
Cc: debian-release@lists.debian.org, Michael Gilbert <michael.s.gilbert@gmail.com>, pkg-wine-party@lists.alioth.debian.org, Ove Kaaven <ovek@arcticnet.no>, 585409@bugs.debian.org, Adrian Knoth <adi@drcomp.erfurt.thur.de>
Subject: Re: Possibility of getting an up-to-date version of Wine into Squeeze
Date: Sun, 22 Aug 2010 23:17:44 +0200
* Stephen Kitt (lists@sk2.org) [100820 00:02]:
> The version of Wine Squeeze is going to ship with (1.0.1) is nearly two years
> old and for many users its use is greatly limited. The recently released
> stable version, 1.2, has vastly improved support for a large number of
> applications and games. I have prepared packages in the same style as the
> current maintainer's, and a few people have tested them. I haven't had much
> reaction from Ove but I do know he is aware of their existence; I haven't
> consulted him regarding this particular request.

Can we please see this version of wine in experimental first (instead
the current 1.1.24-1), e.g. also with a version number as 1.2~exp0.1
or so? That would also allow us to judge the open issues (I have some
symphathy for this request, but obviously it's quite late or even too
late for squeeze.)



Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sun, 29 Aug 2010 13:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sun, 29 Aug 2010 13:57:06 GMT) Full text and rfc822 format available.

Message #75 received at 585409@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Stephen Kitt <lists@sk2.org>, debian-release@lists.debian.org, Michael Gilbert <michael.s.gilbert@gmail.com>, pkg-wine-party@lists.alioth.debian.org, Ove Kaaven <ovek@arcticnet.no>, 585409@bugs.debian.org, Adrian Knoth <adi@drcomp.erfurt.thur.de>
Subject: Re: Possibility of getting an up-to-date version of Wine into Squeeze
Date: Sun, 29 Aug 2010 15:54:51 +0200
* Andreas Barth (aba@not.so.argh.org) [100822 23:18]:
> * Stephen Kitt (lists@sk2.org) [100820 00:02]:
> > The version of Wine Squeeze is going to ship with (1.0.1) is nearly two years
> > old and for many users its use is greatly limited. The recently released
> > stable version, 1.2, has vastly improved support for a large number of
> > applications and games. I have prepared packages in the same style as the
> > current maintainer's, and a few people have tested them. I haven't had much
> > reaction from Ove but I do know he is aware of their existence; I haven't
> > consulted him regarding this particular request.
> 
> Can we please see this version of wine in experimental first

Any news on uploading wine to experimental?


Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sun, 05 Sep 2010 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sun, 05 Sep 2010 13:09:03 GMT) Full text and rfc822 format available.

Message #80 received at 585409@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: debian-release@lists.debian.org
Cc: Stephen Kitt <lists@sk2.org>, Michael Gilbert <michael.s.gilbert@gmail.com>, pkg-wine-party@lists.alioth.debian.org, Ove Kaaven <ovek@arcticnet.no>, 585409@bugs.debian.org, Adrian Knoth <adi@drcomp.erfurt.thur.de>
Subject: Re: Possibility of getting an up-to-date version of Wine into Squeeze
Date: Sun, 5 Sep 2010 15:06:35 +0200
* Andreas Barth (aba@not.so.argh.org) [100829 15:55]:
> * Andreas Barth (aba@not.so.argh.org) [100822 23:18]:
> > * Stephen Kitt (lists@sk2.org) [100820 00:02]:
> > > The version of Wine Squeeze is going to ship with (1.0.1) is nearly two years
> > > old and for many users its use is greatly limited. The recently released
> > > stable version, 1.2, has vastly improved support for a large number of
> > > applications and games. I have prepared packages in the same style as the
> > > current maintainer's, and a few people have tested them. I haven't had much
> > > reaction from Ove but I do know he is aware of their existence; I haven't
> > > consulted him regarding this particular request.
> > 
> > Can we please see this version of wine in experimental first
> 
> Any news on uploading wine to experimental?

ping?


Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Mon, 06 Sep 2010 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <lists@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Mon, 06 Sep 2010 21:27:03 GMT) Full text and rfc822 format available.

Message #85 received at 585409@bugs.debian.org (full text, mbox):

From: Stephen Kitt <lists@sk2.org>
To: Andreas Barth <aba@not.so.argh.org>, debian-release@lists.debian.org, Michael Gilbert <michael.s.gilbert@gmail.com>, pkg-wine-party@lists.alioth.debian.org, Ove Kaaven <ovek@arcticnet.no>, 585409@bugs.debian.org, Adrian Knoth <adi@drcomp.erfurt.thur.de>
Subject: Re: Possibility of getting an up-to-date version of Wine into Squeeze
Date: Mon, 6 Sep 2010 23:23:56 +0200
On Sun, Sep 05, 2010 at 03:06:35PM +0200, Andreas Barth wrote:
> * Andreas Barth (aba@not.so.argh.org) [100829 15:55]:
> > * Andreas Barth (aba@not.so.argh.org) [100822 23:18]:
> > > * Stephen Kitt (lists@sk2.org) [100820 00:02]:
> > > > The version of Wine Squeeze is going to ship with (1.0.1) is nearly two years
> > > > old and for many users its use is greatly limited. The recently released
> > > > stable version, 1.2, has vastly improved support for a large number of
> > > > applications and games. I have prepared packages in the same style as the
> > > > current maintainer's, and a few people have tested them. I haven't had much
> > > > reaction from Ove but I do know he is aware of their existence; I haven't
> > > > consulted him regarding this particular request.
> > > 
> > > Can we please see this version of wine in experimental first
> > 
> > Any news on uploading wine to experimental?
> 
> ping?

Sorry for the delay, I was waiting to see if Ove answered. I've had
packages ready on http://www.sk2.org/wine/ for a while, but they're
probably not ready for experimental (apart from the wine package, but
that needs wine-gecko).

As it stands, the packages build an updated gcc-mingw32 based on gcc
4.5.0, and a replacement runtime for mingw32-runtime based on
mingw-w64. This is where things get a bit complicated; Robert Millan's
packages based on mingw-w64 have been orphaned, but they pretended to
provide a build environment for mingw32msvc which doesn't match (or no
longer matches, I'm not sure) the upstream usage which is w64-mingw32
(with x86_64 and i686 variants, which would become amd64 and i586 or
i686 on Debian I guess). I could keep the existing targets and prepare
packages for experimental, but given that gcc 4.5 won't be in squeeze
(as I understand it), I thought it would be better to prepare a
complete set of w64-mingw32 packages, with proper build dependencies
on binutils-source and gcc-4.5-source. This would also help clearly
differenciate the mingw32 and mingw-w64 packages.

Thus the plan would be:
1. adopt mingw-w64 (I'll update #594371)
2. prepare binutils-mingw-w64 and gcc-4.5-mingw-w64 packages
3. update the mingw-w64 runtime (version 1.0 has been released)
4. update the wine-gecko 1.0.0 package
5. package wine-gecko 1.1.0 (this is required for wine-unstable 1.3.2)
6. update wine and wine-unstable

I do know that Ove has a wine-gecko (1.0.0) package which builds using
the existing mingw32-runtime, but it still needs an updated
gcc-mingw32. I don't know if wine-gecko 1.1.0 builds with
mingw32-runtime, but the official build instructions use mingw-w64. I
also know that Ove has worked on moving the wine packaging in a new
direction, so I wouldn't want to package wine against his wishes (but
my wine package hardly changes his existing packaging at all).

All in all it seems rather unrealistic to try hard now to get wine 1.2
into squeeze...

Regards,

Stephen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Mon, 06 Sep 2010 21:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Mon, 06 Sep 2010 21:57:06 GMT) Full text and rfc822 format available.

Message #90 received at 585409@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Stephen Kitt <lists@sk2.org>
Cc: debian-release@lists.debian.org, Michael Gilbert <michael.s.gilbert@gmail.com>, pkg-wine-party@lists.alioth.debian.org, Ove Kaaven <ovek@arcticnet.no>, 585409@bugs.debian.org, Adrian Knoth <adi@drcomp.erfurt.thur.de>
Subject: Re: Possibility of getting an up-to-date version of Wine into Squeeze
Date: Mon, 6 Sep 2010 23:30:50 +0200
* Stephen Kitt (lists@sk2.org) [100906 23:24]:
> Thus the plan would be:
> 1. adopt mingw-w64 (I'll update #594371)
> 2. prepare binutils-mingw-w64 and gcc-4.5-mingw-w64 packages
> 3. update the mingw-w64 runtime (version 1.0 has been released)
> 4. update the wine-gecko 1.0.0 package
> 5. package wine-gecko 1.1.0 (this is required for wine-unstable 1.3.2)
> 6. update wine and wine-unstable

> [...]

> All in all it seems rather unrealistic to try hard now to get wine 1.2
> into squeeze...

Agreed. However, it still would make sense to fix the issues in
experimental - we need that anyways. Of course, only with an
appropriate priority.

Thanks for your effort.


Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Tue, 12 Oct 2010 22:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Katsubo <dma_k@mail.ru>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Tue, 12 Oct 2010 22:39:03 GMT) Full text and rfc822 format available.

Message #95 received at 585409@bugs.debian.org (full text, mbox):

From: Dmitry Katsubo <dma_k@mail.ru>
To: 585409@bugs.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: Please package wine1.2 series
Date: Wed, 13 Oct 2010 00:31:00 +0200
I vote for this bug:
* 1.2.1 is marked as stable
* 1.3.4 is nice to have in "experimental"

-- 
With best regards,
Dmitry




Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sun, 27 Feb 2011 21:36:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Deniz Akcal <denbian@live.com>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sun, 27 Feb 2011 21:36:12 GMT) Full text and rfc822 format available.

Message #102 received at 585409@bugs.debian.org (full text, mbox):

From: Deniz Akcal <denbian@live.com>
To: <585409@bugs.debian.org>
Subject: "Please package wine1.2 series"
Date: Sun, 27 Feb 2011 16:35:42 -0500
[Message part 1 (text/plain, inline)]
Any update on packaging Wine for Debian now?
Now that we're past Squeeze being stable, can 1.2 be put into Sid=>Testing and the latest Wine in experimental? 		 	   		  
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sun, 27 Feb 2011 22:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sun, 27 Feb 2011 22:21:06 GMT) Full text and rfc822 format available.

Message #107 received at 585409@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: Deniz Akcal <denbian@live.com>, 585409@bugs.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: "Please package wine1.2 series"
Date: Sun, 27 Feb 2011 17:19:45 -0500
On Sun, 27 Feb 2011 16:35:42 -0500, Deniz Akcal wrote:
> 
> Any update on packaging Wine for Debian now?
> Now that we're past Squeeze being stable, can 1.2 be put into Sid=>Testing and the latest Wine in experimental?

I brought this up a week ago.  The blocker right now is getting gcc-4.5
into sid first.  Once that's in place, hopefully Ove will be around to
review and sponsor work, otherwise the MIA/orphaning process will need
to be started.

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Mon, 21 Mar 2011 08:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yajo <yajo.sk8@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Mon, 21 Mar 2011 08:33:04 GMT) Full text and rfc822 format available.

Message #112 received at 585409@bugs.debian.org (full text, mbox):

From: Yajo <yajo.sk8@gmail.com>
To: Michael Gilbert <michael.s.gilbert@gmail.com>
Cc: 585409@bugs.debian.org, pkg-wine-party@lists.alioth.debian.org
Subject: Bug#585409: "Please package wine1.2 series"
Date: Mon, 21 Mar 2011 09:27:14 +0100
> I brought this up a week ago.  The blocker right now is getting gcc-4.5
> into sid first.  Once that's in place, hopefully Ove will be around to
> review and sponsor work, otherwise the MIA/orphaning process will need
> to be started.

We have already gcc-4.5 in sid and testing.

> I vote for this bug:
> * 1.2.1 is marked as stable
> * 1.3.4 is nice to have in "experimental"

Instead of that, wouldn't be better this?:
- wine: stable branch, currently 1.2.2
- wine-unstable: development branch, currently 1.3.16

This way, wine-unstable could be migrated to testing, for those who
want to try it.

Thanks for your great work!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Mon, 21 Mar 2011 09:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Mon, 21 Mar 2011 09:12:03 GMT) Full text and rfc822 format available.

Message #117 received at 585409@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Yajo <yajo.sk8@gmail.com>, 585409@bugs.debian.org
Cc: Michael Gilbert <michael.s.gilbert@gmail.com>
Subject: Re: [pkg-wine-party] Bug#585409: "Please package wine1.2 series"
Date: Mon, 21 Mar 2011 10:08:39 +0100
On Mon, Mar 21, 2011 at 09:27:14AM +0100, Yajo wrote:
> > I brought this up a week ago.  The blocker right now is getting gcc-4.5
> > into sid first.  Once that's in place, hopefully Ove will be around to
> > review and sponsor work, otherwise the MIA/orphaning process will need
> > to be started.
> 
> We have already gcc-4.5 in sid and testing.

Yes, and I'm working on getting mingw-w64 into unstable; see the
debian-gcc archives for details of the problems I'm facing just now
(although there's a quick workaround if I can't get things working
properly).

> > I vote for this bug:
> > * 1.2.1 is marked as stable
> > * 1.3.4 is nice to have in "experimental"
> 
> Instead of that, wouldn't be better this?:
> - wine: stable branch, currently 1.2.2
> - wine-unstable: development branch, currently 1.3.16
> 
> This way, wine-unstable could be migrated to testing, for those who
> want to try it.

Ove already has wine/wine-unstable packages, so that's already what is
planned. Note that 1.3.16 uses wine-gecko 1.2.0 which uses very
different packaging compared to 1.0.0 and 1.1.0, so wine 1.2.2 is the
current focus... I'm not sure though that allowing wine-unstable into
testing would be a good idea, since testing is the next stable and I'm
not sure we'd want to ship wine-unstable in stable.

Regards,

Stephen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Mon, 21 Mar 2011 13:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Baldo <ibaldo@adinet.com.uy>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Mon, 21 Mar 2011 13:42:03 GMT) Full text and rfc822 format available.

Message #122 received at 585409@bugs.debian.org (full text, mbox):

From: Ivan Baldo <ibaldo@adinet.com.uy>
To: Stephen Kitt <steve@sk2.org>, 585409@bugs.debian.org
Cc: Yajo <yajo.sk8@gmail.com>, Michael Gilbert <michael.s.gilbert@gmail.com>
Subject: Re: Bug#585409: [pkg-wine-party] Bug#585409: "Please package wine1.2 series"
Date: Mon, 21 Mar 2011 10:38:06 -0300
    Hello.

El 21/03/11 06:08, Stephen Kitt escribió:
>
> [snip] I'm not sure though that allowing wine-unstable into
> testing would be a good idea, since testing is the next stable and I'm
> not sure we'd want to ship wine-unstable in stable.
>    
    But for some people/applications wine-unstable works better than 
wine stable, so it has value even on a stable distribution.
    Wine stable should be tried first and users should settle on it if 
it works with their applications, but when that doesn't work having 
wine-unstable to try easily even on a stable distribution is very useful 
and appreciated.
    THANKS A LOT guys for your hard work, this isn't an easy package, 
but I just want to let you know that some of us are very grateful and 
appreciate your hard work.
    Have a nice day!!!



-- 

Ivan Baldo - ibaldo@adinet.com.uy - http://ibaldo.codigolibre.net/
From Montevideo, Uruguay, at the south of South America.
Freelance programmer and GNU/Linux system administrator, hire me!
Alternatives: ibaldo@codigolibre.net - http://go.to/ibaldo





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sun, 27 Mar 2011 21:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sun, 27 Mar 2011 21:09:04 GMT) Full text and rfc822 format available.

Message #127 received at 585409@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: 585409@bugs.debian.org
Cc: Yajo <yajo.sk8@gmail.com>, Michael Gilbert <michael.s.gilbert@gmail.com>
Subject: Re: [pkg-wine-party] Bug#585409: Bug#585409: "Please package wine1.2 series"
Date: Sun, 27 Mar 2011 23:07:35 +0200
On Mon, 21 Mar 2011 10:08:39 +0100, Stephen Kitt <steve@sk2.org> wrote:
> On Mon, Mar 21, 2011 at 09:27:14AM +0100, Yajo wrote:
> > > I brought this up a week ago.  The blocker right now is getting gcc-4.5
> > > into sid first.  Once that's in place, hopefully Ove will be around to
> > > review and sponsor work, otherwise the MIA/orphaning process will need
> > > to be started.
> > 
> > We have already gcc-4.5 in sid and testing.
> 
> Yes, and I'm working on getting mingw-w64 into unstable; see the
> debian-gcc archives for details of the problems I'm facing just now
> (although there's a quick workaround if I can't get things working
> properly).

Just a quick update: I have packages ready, with the full toolchain and
wine-gecko (so binutils-mingw-w64, gcc-mingw-w64, mingw-w64 and
wine-gecko-1.0.0). I'm waiting for "Built-Using" to make it into dpkg-dev,
since we need that information to comply with the GPL (or have FTP Masters
add a kludge, which I don't expect would happen now that B-U is planned).

If any potential sponsors are interested, the packages are on collab-maint, I
can explain how to build everything (which I would do for an RFS to
debian-mentors anyway).

Regards,

Stephen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Mon, 28 Mar 2011 03:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ove Kaaven <ovek@arcticnet.no>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Mon, 28 Mar 2011 03:36:03 GMT) Full text and rfc822 format available.

Message #132 received at 585409@bugs.debian.org (full text, mbox):

From: Ove Kaaven <ovek@arcticnet.no>
To: Stephen Kitt <steve@sk2.org>, 585409@bugs.debian.org
Cc: Michael Gilbert <michael.s.gilbert@gmail.com>, Yajo <yajo.sk8@gmail.com>
Subject: Re: [pkg-wine-party] Bug#585409: Bug#585409: Bug#585409: "Please package wine1.2 series"
Date: Mon, 28 Mar 2011 04:47:01 +0200
Den 27. mars 2011 23:07, skrev Stephen Kitt:
> On Mon, 21 Mar 2011 10:08:39 +0100, Stephen Kitt <steve@sk2.org> wrote:
>> On Mon, Mar 21, 2011 at 09:27:14AM +0100, Yajo wrote:
>>>> I brought this up a week ago.  The blocker right now is getting gcc-4.5
>>>> into sid first.  Once that's in place, hopefully Ove will be around to
>>>> review and sponsor work, otherwise the MIA/orphaning process will need
>>>> to be started.
>>>
>>> We have already gcc-4.5 in sid and testing.
>>
>> Yes, and I'm working on getting mingw-w64 into unstable; see the
>> debian-gcc archives for details of the problems I'm facing just now
>> (although there's a quick workaround if I can't get things working
>> properly).
> 
> Just a quick update: I have packages ready, with the full toolchain and
> wine-gecko (so binutils-mingw-w64, gcc-mingw-w64, mingw-w64 and
> wine-gecko-1.0.0). I'm waiting for "Built-Using" to make it into dpkg-dev,
> since we need that information to comply with the GPL (or have FTP Masters
> add a kludge, which I don't expect would happen now that B-U is planned).
> 
> If any potential sponsors are interested, the packages are on collab-maint, I
> can explain how to build everything (which I would do for an RFS to
> debian-mentors anyway).

Ah, so the mingw stuff is finally almost ready now? Took maybe longer
than anticipated, but good work.

If all you're going to need for that is some sponsoring, and you can't
find anyone with some gcc packaging experience for that, then I suppose
that's something I might do (though right now, I'll only possibly have
time during the weekends, so if anyone else has better time, they may as
well go ahead).

Then maybe we can finally get back to making some Wine packages again...

(And so you know, I'll probably finish the 1.1.x series instead of
jumping straight to 1.2/1.3, partly because I already had done work on
that, and partly because I think it's less risky. There'll be tons of
changes in the packaging, and I prefer not to do it all at once - a
mega-update might take forever to prepare and debug, while a series of
minor updates is far more manageable, at least for me.)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Mon, 28 Mar 2011 20:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yajo <yajo.sk8@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Mon, 28 Mar 2011 20:57:05 GMT) Full text and rfc822 format available.

Message #137 received at 585409@bugs.debian.org (full text, mbox):

From: Yajo <yajo.sk8@gmail.com>
To: Ove Kaaven <ovek@arcticnet.no>
Cc: Stephen Kitt <steve@sk2.org>, 585409@bugs.debian.org, Michael Gilbert <michael.s.gilbert@gmail.com>
Subject: Re: [pkg-wine-party] Bug#585409: Bug#585409: Bug#585409: "Please package wine1.2 series"
Date: Mon, 28 Mar 2011 22:54:50 +0200
[Message part 1 (text/plain, inline)]
Those are very good news.
I think this is one of the most important packages for desktop users.

It's a shame that I don't have any C or C++ experience for helping anybody.
At least I hope to give you some encouragement ;)

2011/3/28 Ove Kaaven <ovek@arcticnet.no>
>
> Then maybe we can finally get back to making some Wine packages again...
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sun, 10 Apr 2011 08:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sun, 10 Apr 2011 08:33:04 GMT) Full text and rfc822 format available.

Message #142 received at 585409@bugs.debian.org (full text, mbox):

From: Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Debian Bug Tracking System <585409@bugs.debian.org>
Subject: Re: package wine1.2 series
Date: Sun, 10 Apr 2011 10:13:29 +0200
Package: wine
Version: 1.2-0.1
Severity: normal

Hi Stephen,

do you think you could update your packages to the recently released
stable version 1.2.3? The first 1.2 release, 1.2.0, is already over
half a year old and I don't think this version should go into Debian
unstable.

Thanks alot for the work so far. It's really annoying having to build
wine myself each time a new version is released.

Adrian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sun, 10 Apr 2011 21:54:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sun, 10 Apr 2011 21:54:14 GMT) Full text and rfc822 format available.

Message #147 received at 585409@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Adrian Glaubitz <glaubitz@physik.fu-berlin.de>, 585409@bugs.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: package wine1.2 series
Date: Sun, 10 Apr 2011 23:50:41 +0200
[Message part 1 (text/plain, inline)]
Hi Adrian,

On Sun, 10 Apr 2011 10:13:29 +0200, Adrian Glaubitz
<glaubitz@physik.fu-berlin.de> wrote:
> do you think you could update your packages to the recently released
> stable version 1.2.3? The first 1.2 release, 1.2.0, is already over
> half a year old and I don't think this version should go into Debian
> unstable.
> 
> Thanks alot for the work so far. It's really annoying having to build
> wine myself each time a new version is released.

I've just uploaded my wine 1.2.3 packages to http://www.sk2.org/wine/ where
you'll also find wine-gecko-1.0.0. Note that these are still unofficial
packages so bugs shouldn't be reported to the Debian BTS!

Ove kindly sponsored my mingw-w64 packages; one of them is already in
unstable, the other two are waiting in NEW. Once they're all in he will be
able (at last!) to start working on new versions of wine.

Regards,

Stephen
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Wed, 27 Apr 2011 11:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jairot Llopis <yajo.sk8@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Wed, 27 Apr 2011 11:57:07 GMT) Full text and rfc822 format available.

Message #152 received at 585409@bugs.debian.org (full text, mbox):

From: Jairot Llopis <yajo.sk8@gmail.com>
To: Stephen Kitt <steve@sk2.org>
Cc: 585409@bugs.debian.org, Ove Kaaven <ovek@arcticnet.no>
Subject: Re: [pkg-wine-party] Bug#585409: Bug#585409: Bug#585409: "Please package wine1.2 series"
Date: Wed, 27 Apr 2011 13:51:26 +0200
[Message part 1 (text/plain, inline)]
>
> Ove kindly sponsored my mingw-w64 packages; one of them is already in
> unstable, the other two are waiting in NEW. Once they're all in he will be
> able (at last!) to start working on new versions of wine.


 I just wanted to remind you that, if I am not wrong, all mingw-w64 packages
are already available in unstable:
http://packages.debian.org/search?suite=all&section=all&arch=any&searchon=names&keywords=mingw-w64
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Thu, 28 Apr 2011 00:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ove Kåven <ovek@arcticnet.no>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Thu, 28 Apr 2011 00:12:03 GMT) Full text and rfc822 format available.

Message #157 received at 585409@bugs.debian.org (full text, mbox):

From: Ove Kåven <ovek@arcticnet.no>
To: Jairot Llopis <yajo.sk8@gmail.com>, 585409@bugs.debian.org
Cc: Stephen Kitt <steve@sk2.org>
Subject: Re: [pkg-wine-party] Bug#585409: Bug#585409: Bug#585409: Bug#585409: "Please package wine1.2 series"
Date: Thu, 28 Apr 2011 02:08:52 +0200
Den 27. april 2011 13:51, skrev Jairot Llopis:
>     Ove kindly sponsored my mingw-w64 packages; one of them is already in
>     unstable, the other two are waiting in NEW. Once they're all in he
>     will be
>     able (at last!) to start working on new versions of wine.
> 
> 
>  I just wanted to remind you that, if I am not wrong, all mingw-w64
> packages are already available in
> unstable:

I know - they were uploaded (sponsored) by me.

I hope to have time to finish up wine-gecko soon. It probably won't be
this week, but perhaps next week's weekend or so.

Ove




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Mon, 16 May 2011 15:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Mon, 16 May 2011 15:54:06 GMT) Full text and rfc822 format available.

Message #162 received at 585409@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 585409@bugs.debian.org
Subject: Re: Please package wine1.2 series
Date: Mon, 16 May 2011 17:53:11 +0200
Hi guys,

any news on this?

Thanks in advance for any replies.

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0




Forcibly Merged 585409 589371 589773. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Mon, 16 May 2011 16:42:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Fri, 20 May 2011 22:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ove Kåven <ovek@arcticnet.no>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Fri, 20 May 2011 22:36:03 GMT) Full text and rfc822 format available.

Message #169 received at 585409@bugs.debian.org (full text, mbox):

From: Ove Kåven <ovek@arcticnet.no>
To: Alessio Treglia <alessio@debian.org>, 585409@bugs.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: Please package wine1.2 series
Date: Sat, 21 May 2011 00:32:51 +0200
Den 16. mai 2011 17:53, skrev Alessio Treglia:
> any news on this?

I've been more busy than I thought, and won't have much time for the
next 3 weeks.

It might happen sooner if Stephen Kitt were to write the get-orig-source
rule for wine-gecko for me, so I wouldn't have to spend time on that
myself. If so, perhaps I can squeeze in the time for doing the rest of
the packaging job between my other tasks. (But no guarantees.)

Otherwise, it'll be a few more weeks.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sat, 21 May 2011 08:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sat, 21 May 2011 08:09:03 GMT) Full text and rfc822 format available.

Message #174 received at 585409@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Ove Kåven <ovek@arcticnet.no>
Cc: Alessio Treglia <alessio@debian.org>, 585409@bugs.debian.org
Subject: Re: Bug#585409: [pkg-wine-party] Bug#585409: Please package wine1.2 series
Date: Sat, 21 May 2011 10:06:35 +0200
Hi Ove,

On Sat, May 21, 2011 at 12:32:51AM +0200, Ove Kåven wrote:
> Den 16. mai 2011 17:53, skrev Alessio Treglia:
> > any news on this?
> 
> I've been more busy than I thought, and won't have much time for the
> next 3 weeks.
> 
> It might happen sooner if Stephen Kitt were to write the get-orig-source
> rule for wine-gecko for me, so I wouldn't have to spend time on that
> myself. If so, perhaps I can squeeze in the time for doing the rest of
> the packaging job between my other tasks. (But no guarantees.)

I'm happy to help, I'll send you a get-orig-source rule sometime this
week!

Let me know if there's anything else I can do.

Regards,

Stephen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Fri, 27 May 2011 21:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Fri, 27 May 2011 21:09:12 GMT) Full text and rfc822 format available.

Message #179 received at 585409@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: 585409@bugs.debian.org, Ove Kåven <ovek@arcticnet.no>
Cc: Alessio Treglia <alessio@debian.org>
Subject: Re: Bug#585409: [pkg-wine-party] Bug#585409: Please package wine1.2 series
Date: Fri, 27 May 2011 23:06:37 +0200
[Message part 1 (text/plain, inline)]
Hi again,

On Sat, 21 May 2011 10:06:35 +0200, Stephen Kitt <steve@sk2.org> wrote:
> On Sat, May 21, 2011 at 12:32:51AM +0200, Ove Kåven wrote:
> > It might happen sooner if Stephen Kitt were to write the get-orig-source
> > rule for wine-gecko for me, so I wouldn't have to spend time on that
> > myself. If so, perhaps I can squeeze in the time for doing the rest of
> > the packaging job between my other tasks. (But no guarantees.)
> 
> I'm happy to help, I'll send you a get-orig-source rule sometime this
> week!

Slightly later than I planned, but here goes. The attached files (repack.py
and source.filter come from the iceweasel package) should allow the following
get-orig-source to work:

get-orig-source:
	uscan --download --destdir . --force-download

I had it working earlier this week but I wanted to check some edge-cases, and
unfortunately with the DEHS redirector currently unavailable the watch file
no longer works. It's possible to invoke the repack.py file as follows
(after downloading wine-mozilla-1.0.0.tar.bz2):

	python debian/repack.py -u 1.0.0+dfsg wine-mozilla-1.0.0.tar.bz2

This will produce a wine-gecko-1.0.0_1.0.0+dfsg.orig.tar.bz2 file (presuming
"wine-gecko-1.0.0" is the source package's name indicated in debian/control).

The script should also work with later releases of wine-gecko but I haven't
checked it yet.

Regards,

Stephen
[source.filter (application/octet-stream, attachment)]
[watch (application/octet-stream, attachment)]
[repack.py (text/x-python, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Wed, 24 Aug 2011 09:12:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to srs@kth.se:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Wed, 24 Aug 2011 09:12:47 GMT) Full text and rfc822 format available.

Message #184 received at 585409@bugs.debian.org (full text, mbox):

From: Svante Signell <srs@kth.se>
To: 585409@bugs.debian.org
Subject: Wine 1.2.3 in unstable + 1.3.26 in experimental??
Date: Wed, 24 Aug 2011 11:11:53 +0200
Ping!





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Mon, 17 Oct 2011 22:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Mon, 17 Oct 2011 22:18:03 GMT) Full text and rfc822 format available.

Message #189 received at 585409@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 585409@bugs.debian.org
Subject: ping ping
Date: Mon, 17 Oct 2011 18:14:44 -0400
[Message part 1 (text/plain, inline)]
Dear Wine Debian Party and Ove in particular,

Thank you for all your work for maintaining such a package as Wine.

If there is any way (package something you need myself ;) ) I
could encourage you to foster packaging of 1.2 stable wine (and updating
wine-unstable to track 1.3) -- please let me know ;)

Cheers,
-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic
[signature.asc (application/pgp-signature, inline)]

Added indication that 585409 affects wine-unstable Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Mon, 31 Oct 2011 23:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sat, 19 Nov 2011 08:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sat, 19 Nov 2011 08:36:04 GMT) Full text and rfc822 format available.

Message #196 received at 585409@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: 585409@bugs.debian.org
Cc: Stephen Kitt <steve@sk2.org>
Subject: wine 1.2/1.3 on Debian: what's the blocker?
Date: Sat, 19 Nov 2011 03:33:07 -0500
[Message part 1 (text/plain, inline)]
Hi,

It seems we are still without 1.2 in Debian. While I understand this is
a difficult project, after reading through the history of this bug here,
it seems to me that the package *may* ready to be uploaded...

So what's the blocker here? Stephen - do you need a sponsor for this
package?

I also have concerns about the fork between this package and the Ubuntu
ones. Ending the fork could quickly bring Wine 1.2 and 1.3 in Debian. I
bring up those concerns in a separate bug report (#649238).

A.

-- 
It is a miracle that curiosity survives formal education
                        - Albert Einstein
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sat, 19 Nov 2011 13:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sat, 19 Nov 2011 13:57:06 GMT) Full text and rfc822 format available.

Message #201 received at 585409@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: Antoine Beaupré <anarcat@debian.org>
Cc: 585409@bugs.debian.org, Stephen Kitt <steve@sk2.org>, pkg-wine-party@lists.alioth.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: wine 1.2/1.3 on Debian: what's the blocker?
Date: Sat, 19 Nov 2011 14:52:55 +0100
* Antoine Beaupré:

> It seems we are still without 1.2 in Debian. While I understand this
> is a difficult project, after reading through the history of this bug
> here, it seems to me that the package *may* ready to be uploaded...

A few weeks ago, I took Ove's 1.1.35-1 package that I found at
<git://git.debian.org/git/pkg-wine/wine.git> and tried to build 1.2.3
with it. Very few fixes were needed and there is only a small number of
issues that probably can be fixed in the packaging scripts.

In my opinion, it would be best for users to get a package called "wine"
(not "wine-$version") into unstable as soon as possible. I can't imagine
that users are interested in packages of upstream's snapshot releases
from 2 years ago.

> So what's the blocker here? Stephen - do you need a sponsor for this
> package?

Since there are a few people who have been able to build their own
packages, perhaps it is time to turn packaging of Wine in Debian into a
real team effort.

Cheers,
-Hilko




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sun, 20 Nov 2011 23:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sun, 20 Nov 2011 23:03:10 GMT) Full text and rfc822 format available.

Message #206 received at 585409@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Antoine Beaupré <anarcat@debian.org>
Cc: 585409@bugs.debian.org, Ove Kåven <ovek@articnet.no>, Arthur Loiret <arthur.loiret@gmail.com>
Subject: Re: wine 1.2/1.3 on Debian: what's the blocker?
Date: Sun, 20 Nov 2011 23:59:23 +0100
[Message part 1 (text/plain, inline)]
Hi Antoine,

On Sat, 19 Nov 2011 03:33:07 -0500, Antoine Beaupré <anarcat@debian.org>
wrote:
> It seems we are still without 1.2 in Debian. While I understand this is
> a difficult project, after reading through the history of this bug here,
> it seems to me that the package *may* ready to be uploaded...
> 
> So what's the blocker here? Stephen - do you need a sponsor for this
> package?

The blocker's effectively Ove - after I did what was necessary to get
wine-gecko into Debian (with a sourceful rebuild, not just repackaging
upstream's binaries) I was hoping Wine uploads would resume and we'd catch up
with upstream within a reasonable timeframe. Unfortunately only four releases
followed, packaging three upstream versions (1.1.33 to 1.1.35 inclusive), and
since August there hasn't been any activity, including in the git repository.

Ove's reason for uploading every single version of Wine is so that all
versions of Wine end up available in the Debian snapshots archive, which can
come in handy given that some Windows programs work better with older
versions of Wine. It also means changes to the contents of Wine releases and
packaging requirements can be made progressively.

Unfortunately we're so far behind now that even with one release a day it
would take a month and a half to catch up (10 remaining 1.1.x versions, 7 1.2
release candidates, 4 1.2.x versions and 34 1.3.x versions), not counting
updating wine-gecko, and the effort involved seems enormous to me - at least
I don't have the time and energy for that.

What I can do though is update my Wine 1.2.x packages (see
http://www.sk2.org/wine/wine_1.2.3-0.1.dsc for the current source) to use
wine-gecko-unstable as it ended up in Debian - although I'd rather name the
latter wine-gecko-1.0.0 (as used in my packages) since having wine ("-stable")
depend on wine-gecko-unstable is a bit unfortunate. It would be nice if the
existing packaging team on Alioth could be extended, but I don't know whether
that's possible without Ove's approval (or an Alioth administrator's
intervention). I've had offers of sponsorship in the past, but if you're up
for it (or Hilko) I'd appreciate it. (But don't just sponsor the existing
packages mentioned above!)

The next step, assuming we skip all the intervening unstable versions, would
be to update wine-gecko (which is going to be a whole new bundle of fun given
the changes since 1.0.0) and package Wine 1.3.33.

> I also have concerns about the fork between this package and the Ubuntu
> ones. Ending the fork could quickly bring Wine 1.2 and 1.3 in Debian. I
> bring up those concerns in a separate bug report (#649238).

I should really reply in detail to your separate bug report, but apart from
the sound drivers I don't have any objection to merging all the binary
packages back together. As far as taking Ubuntu's packaging is concerned, I
haven't looked at it in detail; I'm not sure though that the wine-gecko
packaging would be acceptable for Debian since it doesn't build from the
provided source.

Regards,

Stephen
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sun, 20 Nov 2011 23:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sun, 20 Nov 2011 23:27:07 GMT) Full text and rfc822 format available.

Message #211 received at 585409@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 585409@bugs.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: wine 1.2/1.3 on Debian: what's the blocker?
Date: Sun, 20 Nov 2011 18:26:19 -0500
On Sun, Nov 20, 2011 at 5:59 PM, Stephen Kitt wrote:
> The blocker's effectively Ove - after I did what was necessary to get
> wine-gecko into Debian (with a sourceful rebuild, not just repackaging
> upstream's binaries) I was hoping Wine uploads would resume and we'd catch up
> with upstream within a reasonable timeframe. Unfortunately only four releases
> followed, packaging three upstream versions (1.1.33 to 1.1.35 inclusive), and
> since August there hasn't been any activity, including in the git repository.
>
> Ove's reason for uploading every single version of Wine is so that all
> versions of Wine end up available in the Debian snapshots archive, which can
> come in handy given that some Windows programs work better with older
> versions of Wine. It also means changes to the contents of Wine releases and
> packaging requirements can be made progressively.
>
> Unfortunately we're so far behind now that even with one release a day it
> would take a month and a half to catch up (10 remaining 1.1.x versions, 7 1.2
> release candidates, 4 1.2.x versions and 34 1.3.x versions), not counting
> updating wine-gecko, and the effort involved seems enormous to me - at least
> I don't have the time and energy for that.

Couldn't this be greatly simplified if only the 1.2.x (stable)
versions were uploaded?  I assume the plan is to release wheezy with
one of the stable wine releases (either 1.2.x or 1.4.x if its ready in
time); thus nothing really needs to be done with wine-unstable
(especially since that is never going into a stable Debian release);
let's just work on wine.

Best wishes,
Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sun, 20 Nov 2011 23:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sun, 20 Nov 2011 23:42:03 GMT) Full text and rfc822 format available.

Message #216 received at 585409@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Michael Gilbert <michael.s.gilbert@gmail.com>, 585409@bugs.debian.org
Subject: Re: Bug#585409: [pkg-wine-party] Bug#585409: wine 1.2/1.3 on Debian: what's the blocker?
Date: Mon, 21 Nov 2011 00:39:09 +0100
On Sun, Nov 20, 2011 at 06:26:19PM -0500, Michael Gilbert wrote:
> On Sun, Nov 20, 2011 at 5:59 PM, Stephen Kitt wrote:
> > Unfortunately we're so far behind now that even with one release a day it
> > would take a month and a half to catch up (10 remaining 1.1.x versions, 7 1.2
> > release candidates, 4 1.2.x versions and 34 1.3.x versions), not counting
> > updating wine-gecko, and the effort involved seems enormous to me - at least
> > I don't have the time and energy for that.
> 
> Couldn't this be greatly simplified if only the 1.2.x (stable)
> versions were uploaded?  I assume the plan is to release wheezy with
> one of the stable wine releases (either 1.2.x or 1.4.x if its ready in
> time); thus nothing really needs to be done with wine-unstable
> (especially since that is never going into a stable Debian release);
> let's just work on wine.

Yes, that makes sense to me. 1.2.x isn't much use for gaming on ATI
cards using the free drivers currently, but 1.4 should be out before
Wheezy.

Regards,

Stephen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sun, 20 Nov 2011 23:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sun, 20 Nov 2011 23:45:03 GMT) Full text and rfc822 format available.

Message #221 received at 585409@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: 585409@bugs.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: Bug#585409: wine 1.2/1.3 on Debian: what's the blocker?
Date: Mon, 21 Nov 2011 00:41:55 +0100
* Michael Gilbert:

> Couldn't this be greatly simplified if only the 1.2.x (stable)
> versions were uploaded?  I assume the plan is to release wheezy with
> one of the stable wine releases (either 1.2.x or 1.4.x if its ready in
> time); thus nothing really needs to be done with wine-unstable
> (especially since that is never going into a stable Debian release);
> let's just work on wine.

If someone thinks that it's worthwhile to have pacakges of the unstable
branch, one could upload those to experimental following upstream
releases while still calleng them "wine".

Cheers,
-Hilko




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sun, 20 Nov 2011 23:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sun, 20 Nov 2011 23:54:03 GMT) Full text and rfc822 format available.

Message #226 received at 585409@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 585409@bugs.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: Bug#585409: Bug#585409: wine 1.2/1.3 on Debian: what's the blocker?
Date: Sun, 20 Nov 2011 18:51:17 -0500
On Sun, Nov 20, 2011 at 6:41 PM, Hilko Bengen wrote:
> If someone thinks that it's worthwhile to have pacakges of the unstable
> branch, one could upload those to experimental following upstream
> releases while still calleng them "wine".

That's certainly one way to do it, and that's how it was done in the
past, but the current approach seems to be separate wine-unstable
package:
http://packages.qa.debian.org/w/wine-unstable.html

Not sure why one way or the other would be necessarily preferable.  I
suppose this way makes it possible to upload stable wine's to
experimental first?  Although I'm not sure why that would be necessary
as those releases should be stable enough for unstable.

Best wishes,
Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Mon, 21 Nov 2011 01:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Mon, 21 Nov 2011 01:15:03 GMT) Full text and rfc822 format available.

Message #231 received at 585409@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Hilko Bengen <bengen@debian.org>
Cc: 585409@bugs.debian.org, Stephen Kitt <steve@sk2.org>, pkg-wine-party@lists.alioth.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: wine 1.2/1.3 on Debian: what's the blocker?
Date: Sun, 20 Nov 2011 20:10:47 -0500
[Message part 1 (text/plain, inline)]
On Sat, 19 Nov 2011 14:52:55 +0100, Hilko Bengen <bengen@debian.org> wrote:
> * Antoine Beaupré:
> 
> > It seems we are still without 1.2 in Debian. While I understand this
> > is a difficult project, after reading through the history of this bug
> > here, it seems to me that the package *may* ready to be uploaded...
> 
> A few weeks ago, I took Ove's 1.1.35-1 package that I found at
> <git://git.debian.org/git/pkg-wine/wine.git> and tried to build 1.2.3
> with it. Very few fixes were needed and there is only a small number of
> issues that probably can be fixed in the packaging scripts.

Interesting.

Also note that the Ubuntu packages work fine, and have frequent releases.

> In my opinion, it would be best for users to get a package called "wine"
> (not "wine-$version") into unstable as soon as possible. 

I don't care much. As long as there's a "wine" virtual package, people
will find it. Ubuntu ships with wine-1.2 and wine-1.3. I could very well
see the latter in experimental for example.

> I can't imagine that users are interested in packages of upstream's
> snapshot releases from 2 years ago.

Indeed. Make that 3 years for 1.0.

> > So what's the blocker here? Stephen - do you need a sponsor for this
> > package?
> 
> Since there are a few people who have been able to build their own
> packages, perhaps it is time to turn packaging of Wine in Debian into a
> real team effort.

Honestly, I think we should just team up with the Ubuntu folks. They
have done all the work for us already...

http://packages.ubuntu.com/search?keywords=wine

A.

-- 
We should act only in such away that if everyone 
else acted as we do, we would accept the results.
                        - Kant
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Mon, 21 Nov 2011 03:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Mon, 21 Nov 2011 03:45:03 GMT) Full text and rfc822 format available.

Message #236 received at 585409@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Stephen Kitt <steve@sk2.org>
Cc: 585409@bugs.debian.org, Ove Kåven <ovek@articnet.no>, Arthur Loiret <arthur.loiret@gmail.com>
Subject: Re: wine 1.2/1.3 on Debian: what's the blocker?
Date: Sun, 20 Nov 2011 22:42:59 -0500
[Message part 1 (text/plain, inline)]
On Sun, 20 Nov 2011 23:59:23 +0100, Stephen Kitt <steve@sk2.org> wrote:
> > I also have concerns about the fork between this package and the Ubuntu
> > ones. Ending the fork could quickly bring Wine 1.2 and 1.3 in Debian. I
> > bring up those concerns in a separate bug report (#649238).
> 
> I should really reply in detail to your separate bug report, but apart from
> the sound drivers I don't have any objection to merging all the binary
> packages back together. As far as taking Ubuntu's packaging is concerned, I
> haven't looked at it in detail; I'm not sure though that the wine-gecko
> packaging would be acceptable for Debian since it doesn't build from the
> provided source.

I do not want to step over anybody's toes here. If Ove still wants to
maintain this package, he should, but it looks like he's overwhelmed and
doesn't have time to do it.

I do not have much time either, but I can sponsor uploads, that seems
easy enough.

Plus, I think that the stuff from Ubuntu is great - we should look into
that first. They have 1.2 and 1.3 all rolled up and ready to go.

Can you review their work? I can do some communications with them people
if needs be.

A.

-- 
Man really attains the state of complete humanity when he produces,
without being forced by physical need to sell himself as a commodity.
            			- Ernesto "Che" Guevara
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Mon, 21 Nov 2011 04:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Mon, 21 Nov 2011 04:33:04 GMT) Full text and rfc822 format available.

Message #241 received at 585409@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 585409@bugs.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: wine 1.2/1.3 on Debian: what's the blocker?
Date: Sun, 20 Nov 2011 23:30:13 -0500
2011/11/20 Antoine Beaupré
>> I should really reply in detail to your separate bug report, but apart from
>> the sound drivers I don't have any objection to merging all the binary
>> packages back together. As far as taking Ubuntu's packaging is concerned, I
>> haven't looked at it in detail; I'm not sure though that the wine-gecko
>> packaging would be acceptable for Debian since it doesn't build from the
>> provided source.
>
> I do not want to step over anybody's toes here. If Ove still wants to
> maintain this package, he should, but it looks like he's overwhelmed and
> doesn't have time to do it.
>
> I do not have much time either, but I can sponsor uploads, that seems
> easy enough.

Technically you're not supposed to upload major changes to packages in
which you're not a team member (minor changes like NMUs are ok).  So,
I think the first step is for Ove to approve you as a team member, and
that may require some work on your part (maybe preparing 1.1.36 would
be good?).

> Plus, I think that the stuff from Ubuntu is great - we should look into
> that first. They have 1.2 and 1.3 all rolled up and ready to go.
>
> Can you review their work? I can do some communications with them people
> if needs be.

I think the debian packaging is already of sufficient quality.  It
just needs to go through Ove's every release needs package process,
and that's just tedious, but someone will need to do it.

Best wishes,
Mike




Forcibly Merged 585409 589371 589773 658970. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Sun, 12 Feb 2012 22:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Mon, 27 Feb 2012 09:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Mon, 27 Feb 2012 09:51:05 GMT) Full text and rfc822 format available.

Message #248 received at 585409@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: Ove Kåven <ovek@arcticnet.no>, 585409@bugs.debian.org
Subject: Re: Bug#585409: [pkg-wine-party] Bug#585409: Please package wine1.2 series
Date: Mon, 27 Feb 2012 15:49:18 +0600
[Message part 1 (text/plain, inline)]
On Sat, May 21, 2011 at 12:32:51AM +0200, Ove Kåven wrote:
> Den 16. mai 2011 17:53, skrev Alessio Treglia:
> > any news on this?
> 
> I've been more busy than I thought, and won't have much time for the
> next 3 weeks.
> 
> It might happen sooner if Stephen Kitt were to write the get-orig-source
> rule for wine-gecko for me, so I wouldn't have to spend time on that
> myself. If so, perhaps I can squeeze in the time for doing the rest of
> the packaging job between my other tasks. (But no guarantees.)
> 
> Otherwise, it'll be a few more weeks.
Any news on this? It looks like we will need to use unofficial builds
throughout the next stable too.

-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Mon, 27 Feb 2012 23:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Mon, 27 Feb 2012 23:21:04 GMT) Full text and rfc822 format available.

Message #253 received at 585409@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Andrey Rahmatullin <wrar@wrar.name>, 585409@bugs.debian.org
Cc: Ove Kåven <ovek@arcticnet.no>
Subject: Re: [pkg-wine-party] Bug#585409: Bug#585409: Please package wine1.2 series
Date: Tue, 28 Feb 2012 00:18:22 +0100
[Message part 1 (text/plain, inline)]
Hi Andrey,

On Mon, 27 Feb 2012 15:49:18 +0600, Andrey Rahmatullin <wrar@wrar.name> wrote:
> On Sat, May 21, 2011 at 12:32:51AM +0200, Ove Kåven wrote:
> > Den 16. mai 2011 17:53, skrev Alessio Treglia:
> > > any news on this?
> > 
> > I've been more busy than I thought, and won't have much time for the
> > next 3 weeks.
> > 
> > It might happen sooner if Stephen Kitt were to write the get-orig-source
> > rule for wine-gecko for me, so I wouldn't have to spend time on that
> > myself. If so, perhaps I can squeeze in the time for doing the rest of
> > the packaging job between my other tasks. (But no guarantees.)
> > 
> > Otherwise, it'll be a few more weeks.
> Any news on this? It looks like we will need to use unofficial builds
> throughout the next stable too.

Currently (as you no doubt know), we have wine-gecko 1.0.0 in the archives
and the first few versions of Wine using it (up to 1.1.36). Unfortunately
despite the statement in the Wine changelog, Ove hasn't managed to find the
time to continue uploading newer versions. There's a 1.1.37 being prepared by
Scott Leggett (see the mailing list archives at
http://lists.alioth.debian.org/pipermail/pkg-wine-party/ for details), but at
this rate as you point out there's no way we'll get Wine 1.4 into Wheezy.

I'm not sure it's worth trying to continue packaging every single version at
this stage; as I see it the sensible thing to do would be to package the
various Wine 1.2 releases (I've done the packaging work already, and all the
releases are similar), then move to version 1.4, which involves:
* packaging wine-gecko 1.1 (because that's the latest version we can build
  with the tools currently available in the Debian archives)
* packaging Wine 1.3.13, 1.3.14 or 1.3.15 (because those are the only
  versions still using wine-gecko 1.1 while also providing the tools required
  to package later versions of wine-gecko)
* packaging wine-gecko 1.4 (which also needs some updates to mingw-w64, which
  I'll take care of)
* packaging Wine 1.4.

Ove had plans to improve the Wine packaging but as far as I know no one else
but him knows the details.

I've started work on the two wine-gecko packages, but I probably won't have
time to do much on them before the end of March. wine-gecko 1.1 doesn't need
much, it only needs a couple of patches from the 1.0 package to build with
current mingw-w64 so the main obstacle is the usual licensing review.
wine-gecko 1.4 is a bit more complicated. I haven't started looking at all
the changes required for the Wine packages.

Obviously Ove's still the official Wine maintainer, so he'd have the final
say. Ove, my offer to help (as per #479659) is still valid, as I dare say is
Michael's; if you no longer have the time for Wine packaging perhaps you
could process our pkg-wine-party requests on Alioth and let us work on the
existing git repository...

Regards,

Stephen
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Thu, 08 Mar 2012 02:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Scott Leggett" <scott@sl.id.au>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Thu, 08 Mar 2012 02:15:07 GMT) Full text and rfc822 format available.

Message #258 received at 585409@bugs.debian.org (full text, mbox):

From: "Scott Leggett" <scott@sl.id.au>
To: Stephen Kitt <steve@sk2.org>,585409@bugs.debian.org
Cc: ovek@arcticnet.no
Subject: Re: [pkg-wine-party] Bug#585409: Bug#585409: Bug#585409: Please packagewine1.2 series
Date: Wed, 07 Mar 2012 21:00:46 -0500
Since I see Wine 1.4 has been released, I would like to get discussion going 
on this topic again.

On Tue, 28 Feb 2012 07:18:22 Stephen Kitt wrote:
>
> I'm not sure it's worth trying to continue packaging every single version
> at this stage; as I see it the sensible thing to do would be to package
> the various Wine 1.2 releases (I've done the packaging work already, and
> all the releases are similar), then move to version 1.4, which involves:
> * packaging wine-gecko 1.1 (because that's the latest version we can build
>   with the tools currently available in the Debian archives)
> * packaging Wine 1.3.13, 1.3.14 or 1.3.15 (because those are the only
>   versions still using wine-gecko 1.1 while also providing the tools
> required to package later versions of wine-gecko)
> * packaging wine-gecko 1.4 (which also needs some updates to mingw-w64,
> which I'll take care of)
> * packaging Wine 1.4.
> 

I think this is a very good idea. I've managed to get rid of most lintian 
warnings on the 1.1.37 package, but I feel a little bit like I'm wasting my 
time if you've already packaged the 1.2 series.. you also seem to have a much 
better handle than I do on what's required to catch up to upstream.

> Ove had plans to improve the Wine packaging but as far as I know no one
> else but him knows the details.
> 

Ove, please let us know what your plans are to improve packaging.

> I've started work on the two wine-gecko packages, but I probably won't have
> time to do much on them before the end of March. wine-gecko 1.1 doesn't
> need much, it only needs a couple of patches from the 1.0 package to build
> with current mingw-w64 so the main obstacle is the usual licensing review.
> wine-gecko 1.4 is a bit more complicated. I haven't started looking at all
> the changes required for the Wine packages.

What exactly does the licensing review involve? I would be happy to assist!

-- 
Regards,
Scott.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Thu, 08 Mar 2012 22:27:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Thu, 08 Mar 2012 22:27:12 GMT) Full text and rfc822 format available.

Message #263 received at 585409@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: "Scott Leggett" <scott@sl.id.au>
Cc: 585409@bugs.debian.org, ovek@arcticnet.no
Subject: Re: [pkg-wine-party] Bug#585409: Please packagewine1.2 series
Date: Thu, 8 Mar 2012 23:26:29 +0100
[Message part 1 (text/plain, inline)]
Hi Scott,

On Wed, 07 Mar 2012 21:00:46 -0500, "Scott Leggett" <scott@sl.id.au> wrote:
> Since I see Wine 1.4 has been released, I would like to get discussion
> going on this topic again.
> 
> On Tue, 28 Feb 2012 07:18:22 Stephen Kitt wrote:
> > I'm not sure it's worth trying to continue packaging every single version
> > at this stage; as I see it the sensible thing to do would be to package
> > the various Wine 1.2 releases (I've done the packaging work already, and
> > all the releases are similar), then move to version 1.4, which involves:
> > * packaging wine-gecko 1.1 (because that's the latest version we can build
> >   with the tools currently available in the Debian archives)
> > * packaging Wine 1.3.13, 1.3.14 or 1.3.15 (because those are the only
> >   versions still using wine-gecko 1.1 while also providing the tools
> > required to package later versions of wine-gecko)
> > * packaging wine-gecko 1.4 (which also needs some updates to mingw-w64,
> > which I'll take care of)
> > * packaging Wine 1.4.
> > 
> 
> I think this is a very good idea. I've managed to get rid of most lintian 
> warnings on the 1.1.37 package, but I feel a little bit like I'm wasting my 
> time if you've already packaged the 1.2 series.. you also seem to have a
> much better handle than I do on what's required to catch up to upstream.

On the contrary, it's not a waste of time, I reckon most of the lintian
warnings also apply to the 1.2 packages... Feel free to check out the .dscs
and related files on http://www.sk2.org/wine/ and see what you think. The
packages are quite old and I haven't touched them in a while - in fact they
don't even use the wine-gecko package which landed in Debian!

> > I've started work on the two wine-gecko packages, but I probably won't
> > have time to do much on them before the end of March. wine-gecko 1.1
> > doesn't need much, it only needs a couple of patches from the 1.0 package
> > to build with current mingw-w64 so the main obstacle is the usual
> > licensing review. wine-gecko 1.4 is a bit more complicated. I haven't
> > started looking at all the changes required for the Wine packages.
> 
> What exactly does the licensing review involve? I would be happy to assist!

Basically, it involves retrieving the upstream source code, filtering it (see
the get-orig-source rule in debian/rules in the current wine-gecko package in
Debian main), then checking that debian/copyright still describes the result.
For version 1.1 a reasonable approach could be to simply diff wine-gecko-1.0
to wine-gecko-1.1, looking for changed copyright statements. For version 1.4
I imagine there are far more changes to account for. It's also useful to look
at the firefox package in Debian; I believe wine-gecko 1.4 is based on
Firefox 8.

Ove packaged wine-gecko as wine-gecko-unstable, rather than my
wine-gecko-1.0.0 approach; I prefer the latter since wine-gecko versions
aren't associated with a specific branch (stable v. unstable). For instance,
packaging Wine 1.2 using the existing wine-gecko package means having wine
(-stable) depending on libwine-gecko-unstable!

Packaging Wine 1.4 will require changes to the current packages; in
particular, some of the sound driver packages have been made obsolete.
There's also the issue of packaging 32- and 64-bit Wine on amd64, and the
availability of Wine on ARM now...

Regards,

Stephen
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Fri, 16 Mar 2012 13:09:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Fri, 16 Mar 2012 13:09:19 GMT) Full text and rfc822 format available.

Message #268 received at 585409@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: Stephen Kitt <steve@sk2.org>
Cc: Ove Kåven <ovek@arcticnet.no>, 585409@bugs.debian.org
Subject: Bug#585409: getting access to pkg-wine Git repository
Date: Fri, 16 Mar 2012 13:58:06 +0100
[Message part 1 (text/plain, inline)]
On Tue, Feb 28, 2012 at 12:18:22AM +0100, Stephen Kitt wrote:
> Ove had plans to improve the Wine packaging but as far as I know no one else
> but him knows the details.
<snip>
> Obviously Ove's still the official Wine maintainer, so he'd have the final
> say. Ove, my offer to help (as per #479659) is still valid, as I dare say is
> Michael's; if you no longer have the time for Wine packaging perhaps you
> could process our pkg-wine-party requests on Alioth and let us work on the
> existing git repository...

Hi Stephen, Ove,
  thanks for your work on Wine. There are still a few months before the
freeze and I hope they'll be enough to get Wine 1.4 properly packaged
for Debian Wheezy.

To that end, I'm a bit worried about the lack of Ove answers on
"procedural" things like getting access to the pkg-wine Git repository.
If there are explicit reasons for doing so, that's perfectly fine of
course. (And after all Git is a distributed VCS, so at least in the
short term that should not block work.)

But if there are other reasons, more in the "all pkg-wine alioth admins
are MIA" camp, I'll bell happy to vouch with Alioth admins and give
access to active Wine packagers and unblock the situation. Ove: can you
comment on that, or else just give access to Stephen and fix the issue?

Otherwise, Stephen, feel free to contact me to have this fixed as soon
as it becomes blocking for your work.

Cheers.

PS I'm neither subscribed to this bug log, nor to pkg-wine-party, feel
   free to Cc:-me if you want to get my attention
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sun, 18 Mar 2012 01:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ove Kåven <ovek@arcticnet.no>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sun, 18 Mar 2012 01:00:03 GMT) Full text and rfc822 format available.

Message #273 received at 585409@bugs.debian.org (full text, mbox):

From: Ove Kåven <ovek@arcticnet.no>
To: Scott Leggett <scott@sl.id.au>
Cc: Stephen Kitt <steve@sk2.org>, 585409@bugs.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: Bug#585409: Bug#585409: Please packagewine1.2 series
Date: Sun, 18 Mar 2012 01:57:29 +0100
Hi. Apologies for not having the time to follow up on everything I should.

Studying leaves you with less free time than you'd think, and the
accelerated plan I'm following just makes it worse, and when you also
need a paid job and stuff in order to be able to afford it all, you
inevitably get behind on things you really should be doing. The time I
thought I'd have during Christmas was spent reading a 1000-page book.

So, ever since last year, I've been feeling guilty about not being able
to get around to work on the Wine package again. It's not the only thing
I've been neglecting, either, nor is it really at the top of my list of
backlogged things to work on whenever I do have some free time, so I'm
starting to think that, instead of continuing to hope to get the time
"soon", perhaps I should outline what my design requirements for the
packaging is, and maybe someone else could help with the patches to
fulfill them. Due to past experiences, I've become a bit unwilling to
give privileged access to the project to people I don't have reason to
trust, but your help might convince me.

As my last changelog says when I uploaded in December, I do not insist
on packaging every release between 1.2 and 1.4. However, at the time, it
was my plan to package every release *until* 1.2 for quality-assurance
reasons, because I wanted the packaging to fulfill my requirements, and
to be tested, *before* I used that packaging for 1.3/1.4 or whatever.

My objectives before packaging 1.2 included:

1) Coinstallability of wine and wine-unstable. The steps involved includes:
- use separate directories for wine and wine-unstable (done)
- make sure Wine's build system uses the correct directories (done)
- add -unstable suffix to /usr/bin binaries (done)
- use Debian's alternatives system to choose whether to use wine or
wine-unstable (mostly done)
- make sure Wine (and Winelib wrappers) always launches the correct
version of itself for subprocesses (not done)
- decide on a policy for winemenubuilder etc (not done)

2) Coinstallability and interoperability of 32-bit and 64-bit Wine.
Combined with the above, this implies that 4 versions of Wine can be
installed on the same system.
- packages must build on multiarch; on multiarch, a 64-bit build cannot
build 32-bit wine (mostly done, need to flip a switch in debian/rules
and fix problems)
- for backporting, the packages must also build on non-multiarch, in
which case a dpkg-buildpackage should build both 64-bit and 32-bit (a
backporter should only have to flip that switch in debian/rules back in
order to get this, or better, perhaps debian/rules could autodetect somehow)
- use separate directories for 32-bit and 64-bit wine (mostly done)
- add 32 or 64 suffix to /usr/bin binaries (mostly done)
- use Debian's alternatives system to choose whether to use 32-bit wine
or 64-bit wine by default, should be same system as wine/wine-unstable
above (mostly done)
- Wine must work if either or both versions are installed, and the
correct one should run if the user runs wine32 or wine64, including
subprocesses. Also keep in mind that the user's WINEPREFIX may contain a
fake a 32-bit or a fake 64-bit Windows installation, depending on
whether the 32-bit or 64-bit Wine created it; you cannot run a 64-bit
Wine instance on a 32-bit WINEPREFIX, so always defaulting to 64-bit is
not an option. (not done)
- Even if the 64-bit Wine is default, it would be nice if Wine
automatically ran its 32-bit version if it was asked to run a 32-bit
program, and in this case, emulate 64-bit Windows's WOW32 (32-bit
Windows emulation). Needs to work with multiarch, and fail gracefully if
wine32 is not installed. (not fully investigated)

There might be more, I can't quite remember.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Wed, 28 Mar 2012 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Baldo <ibaldo@adinet.com.uy>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Wed, 28 Mar 2012 14:51:04 GMT) Full text and rfc822 format available.

Message #278 received at 585409@bugs.debian.org (full text, mbox):

From: Ivan Baldo <ibaldo@adinet.com.uy>
To: Ove Kåven <ovek@arcticnet.no>
Cc: 585409@bugs.debian.org
Subject: Too ambitious!
Date: Wed, 28 Mar 2012 11:49:16 -0300
    Hello Ove!
    I appreciate your work and time, what follows is just a 
constructive opinion for your consideration.
    Many of the things you mention are really upstream bugs and 
considering your limited time it would be best just to delegate that 
work to upstream (coinstallability, multiarch, etc.).
    Instead of aiming for perfection and missing Wine 1.4 in Wheeze I 
think it would be far more useful to focus on having only one "wine" 
package of the 1.4.x version in 32 bits without 64 bits support and 
without support for coinstallability of a "wine-unstable" package.
    I think thats far more useful than just missing Wheeze and having 
only the outdated 1.0 version.
    If anyone needs the 64 bits version or a wine of the 1.5 series in 
Wheeze then it will have to build it or maybe someone could provide a 
package for that specific purpose conflicting with the one provided in 
Wheeze.
    Thanks!

-- 
Ivan Baldo - ibaldo@adinet.com.uy - http://ibaldo.codigolibre.net/
From Montevideo, Uruguay, at the south of South America.
Freelance programmer and GNU/Linux system administrator, hire me!
Alternatives: ibaldo@codigolibre.net - http://go.to/ibaldo





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Wed, 28 Mar 2012 16:27:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ove KÃ¥ven <ovek@arcticnet.no>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Wed, 28 Mar 2012 16:27:11 GMT) Full text and rfc822 format available.

Message #283 received at 585409@bugs.debian.org (full text, mbox):

From: Ove Kåven <ovek@arcticnet.no>
To: Ivan Baldo <ibaldo@adinet.com.uy>
Cc: 585409@bugs.debian.org
Subject: Re: Too ambitious!
Date: Wed, 28 Mar 2012 17:55:02 +0200
On 03/28/2012 04:49 PM, Ivan Baldo wrote:
> Hello Ove!
> I appreciate your work and time, what follows is just a constructive
> opinion for your consideration.
> Many of the things you mention are really upstream bugs and considering
> your limited time it would be best just to delegate that work to
> upstream (coinstallability, multiarch, etc.).

Hardly. Such things are packaging issues, not upstream issues. In the 
case of multiarch, anything they might possibly do would probably 
actually be in direct conflict with the way things are supposed to work, 
and thus just compound the packager's headaches, not alleviate them. For 
most packages (including Wine), multiarchification involves 
intentionally overriding upstream's build system defaults in ways only 
the distribution-specific packaging system really needs to know. 
Upstream's job is only to allow this kind of override, nothing more; 
doing the actual override is the packager's job. Wine's upstream has 
already done what they need to do.

> Instead of aiming for perfection and missing Wine 1.4 in Wheeze

Pff. What's left to do in that plan should probably take a skilled and 
motivated volunteer about a week or so of work. Packaging Wine 1.4 
afterwards, maybe another week. For various practical reasons (including 
this not being anyone's day job), you'd probably have to multiply this 
with some fairly significant number to get the real time it'll take, but 
even then, it'd still leave a comfortable amount of time left until Wheezy.

As I said, the reason I haven't done it myself is because I've already 
been backlogged up to my ears with everything else I'm supposed to be 
doing. It's not because it would have been an enormous job.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Thu, 29 Mar 2012 07:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe Pisteur <Christophe.Pisteur@unige.ch>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Thu, 29 Mar 2012 07:42:03 GMT) Full text and rfc822 format available.

Message #288 received at 585409@bugs.debian.org (full text, mbox):

From: Christophe Pisteur <Christophe.Pisteur@unige.ch>
To: Ove Kåven <ovek@arcticnet.no>, 585409@bugs.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: Too ambitious!
Date: Thu, 29 Mar 2012 09:18:34 +0200
Le mercredi 28 mars 2012 à 17:55 +0200, Ove Kåven a écrit :
> What's left to do in that plan should probably take a skilled and 
> motivated volunteer about a week or so of work. Packaging Wine 1.4 
> afterwards, maybe another week.

Hello,
What about a "call for donation" to help a skilled and motivated
volunteer to have free time to work two week or so on the wine package? 
I don't know if it is good idea or not. 
Anyway, thanks for all your work.

Christophe Pisteur 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Thu, 05 Apr 2012 18:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <post+debian@ralfj.de>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Thu, 05 Apr 2012 18:30:03 GMT) Full text and rfc822 format available.

Message #293 received at 585409@bugs.debian.org (full text, mbox):

From: Ralf Jung <post+debian@ralfj.de>
To: 585409@bugs.debian.org
Subject: Please package wine1.4 series
Date: Thu, 5 Apr 2012 20:21:05 +0200
Hi everyone,

I just found this bug and I wonder why the work done at http://dev.carbon-
project.org/debian/wine-unstable/ has not been mentioned at all. It seems 
there's someone there knowing how to package wine, and even if his packages 
can not be accepted verbatim, that'd be another developer helping in this 
packaging effort.
I'm sorry if one of the dev's involved here is actually the one running that 
website, I checked the bug for the email used in the changelog 
(curan@debian.org) and found no trace of him.

Kind regards,
Ralf




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Fri, 06 Apr 2012 11:12:52 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Fri, 06 Apr 2012 11:12:53 GMT) Full text and rfc822 format available.

Message #298 received at 585409@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: 585409@bugs.debian.org
Cc: Ralf Jung <post+debian@ralfj.de>
Subject: Re: Bug#585409: Please package wine1.4 series
Date: Fri, 6 Apr 2012 16:33:31 +0600
[Message part 1 (text/plain, inline)]
On Thu, Apr 05, 2012 at 08:21:05PM +0200, Ralf Jung wrote:
> I just found this bug and I wonder why the work done at http://dev.carbon-
> project.org/debian/wine-unstable/ has not been mentioned at all.
I've mentioned it as the unofficial build that I will continue to use
thorugh Wheezy if the current situation won't improve (without the link
though).

> It seems there's someone there knowing how to package wine, and even if
> his packages can not be accepted verbatim, that'd be another developer
> helping in this packaging effort.
You should ask Curan directly whether he will "work two week or so on the
wine package". I'm not sure how mentioning him here will help.

-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Fri, 06 Apr 2012 23:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Fri, 06 Apr 2012 23:03:02 GMT) Full text and rfc822 format available.

Message #303 received at 585409@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 585409@bugs.debian.org, leader@debian.org
Subject: Re: [pkg-wine-party] Bug#585409: Too ambitious!
Date: Fri, 6 Apr 2012 18:58:21 -0400
[Message part 1 (text/plain, inline)]
On Wed, Mar 28, 2012 at 11:55 AM, Ove Kåven wrote:

> On 03/28/2012 04:49 PM, Ivan Baldo wrote:
>
>> Hello Ove!
>> I appreciate your work and time, what follows is just a constructive
>> opinion for your consideration.
>> Many of the things you mention are really upstream bugs and considering
>> your limited time it would be best just to delegate that work to
>> upstream (coinstallability, multiarch, etc.).
>>
>
> Hardly. Such things are packaging issues, not upstream issues. In the case
> of multiarch, anything they might possibly do would probably actually be in
> direct conflict with the way things are supposed to work, and thus just
> compound the packager's headaches, not alleviate them. For most packages
> (including Wine), multiarchification involves intentionally overriding
> upstream's build system defaults in ways only the distribution-specific
> packaging system really needs to know. Upstream's job is only to allow this
> kind of override, nothing more; doing the actual override is the packager's
> job. Wine's upstream has already done what they need to do.
>
>
>  Instead of aiming for perfection and missing Wine 1.4 in Wheeze
>>
>
> Pff. What's left to do in that plan should probably take a skilled and
> motivated volunteer about a week or so of work. Packaging Wine 1.4
> afterwards, maybe another week. For various practical reasons (including
> this not being anyone's day job), you'd probably have to multiply this with
> some fairly significant number to get the real time it'll take, but even
> then, it'd still leave a comfortable amount of time left until Wheezy.
>

Hi,

I've prepared a package for 1.1.37 (http://people.debian.org/~mgilbert).
 This doesn't yet make progress towards Ove's goals, but it does at least
move us forward.  If Ove were willing to grant commit access to the
pkg-wine git repository and uploader status, I could keep doing this over
the next couple days for the subsequent 1.1.x releases to at least get us
to the stable 1.2 series.

Once we're at 1.2 we will at least have a better/newer base for the wheezy
release.  At that point, I will start looking at some the
wine/wine-unstable co-installibility and 32/64-bit multiarch goals.

On the wine/wine-unstable co-installibility, I wonder if that would
necessarily be urgent now since for the wheezy release (at least), the vast
majority of users really only want/need one of wine's stable versions
there, and the 1.5.x series isn't very far ahead of the 1.4.x one anyway.

I have the 1.1.37 changes staged in my own git repository.  Attached is a
'git log -p' for my changes for your review.

Best wishes,
Mike
[Message part 2 (text/html, inline)]
[wine-1.1.37.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Mon, 09 Apr 2012 19:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Mon, 09 Apr 2012 19:57:02 GMT) Full text and rfc822 format available.

Message #308 received at 585409@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 585409@bugs.debian.org, leader@debian.org
Subject: Re: [pkg-wine-party] Bug#585409: Too ambitious!
Date: Mon, 9 Apr 2012 15:53:03 -0400
On Fri, Apr 6, 2012 at 6:58 PM, Michael Gilbert wrote:
> On Wed, Mar 28, 2012 at 11:55 AM, Ove Kåven wrote:
>>
>> On 03/28/2012 04:49 PM, Ivan Baldo wrote:
>>>
>>> Hello Ove!
>>> I appreciate your work and time, what follows is just a constructive
>>> opinion for your consideration.
>>> Many of the things you mention are really upstream bugs and considering
>>> your limited time it would be best just to delegate that work to
>>> upstream (coinstallability, multiarch, etc.).
>>
>>
>> Hardly. Such things are packaging issues, not upstream issues. In the case
>> of multiarch, anything they might possibly do would probably actually be in
>> direct conflict with the way things are supposed to work, and thus just
>> compound the packager's headaches, not alleviate them. For most packages
>> (including Wine), multiarchification involves intentionally overriding
>> upstream's build system defaults in ways only the distribution-specific
>> packaging system really needs to know. Upstream's job is only to allow this
>> kind of override, nothing more; doing the actual override is the packager's
>> job. Wine's upstream has already done what they need to do.
>>
>>
>>> Instead of aiming for perfection and missing Wine 1.4 in Wheeze
>>
>>
>> Pff. What's left to do in that plan should probably take a skilled and
>> motivated volunteer about a week or so of work. Packaging Wine 1.4
>> afterwards, maybe another week. For various practical reasons (including
>> this not being anyone's day job), you'd probably have to multiply this with
>> some fairly significant number to get the real time it'll take, but even
>> then, it'd still leave a comfortable amount of time left until Wheezy.
>
>
> Hi,
>
> I've prepared a package for 1.1.37 (http://people.debian.org/~mgilbert).
>  This doesn't yet make progress towards Ove's goals, but it does at least
> move us forward.  If Ove were willing to grant commit access to the pkg-wine
> git repository and uploader status, I could keep doing this over the next
> couple days for the subsequent 1.1.x releases to at least get us to the
> stable 1.2 series.
>
> Once we're at 1.2 we will at least have a better/newer base for the wheezy
> release.  At that point, I will start looking at some the wine/wine-unstable
> co-installibility and 32/64-bit multiarch goals.
>
> On the wine/wine-unstable co-installibility, I wonder if that would
> necessarily be urgent now since for the wheezy release (at least), the vast
> majority of users really only want/need one of wine's stable versions there,
> and the 1.5.x series isn't very far ahead of the 1.4.x one anyway.
>
> I have the 1.1.37 changes staged in my own git repository.  Attached is a
> 'git log -p' for my changes for your review.

1.1.38 is now up at http://people.debian.org/~mgilbert.

Best wishes,
Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Tue, 10 Apr 2012 17:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Tue, 10 Apr 2012 17:33:03 GMT) Full text and rfc822 format available.

Message #313 received at 585409@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 585409@bugs.debian.org, leader@debian.org
Subject: Re: [pkg-wine-party] Bug#585409: Bug#585409: Too ambitious!
Date: Tue, 10 Apr 2012 13:30:11 -0400
1.1.39 is now up at http://people.debian.org/~mgilbert

Best wishes,
Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Thu, 12 Apr 2012 16:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Thu, 12 Apr 2012 16:09:06 GMT) Full text and rfc822 format available.

Message #318 received at 585409@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 585409@bugs.debian.org, leader@debian.org
Subject: Re: [pkg-wine-party] Bug#585409: Too ambitious!
Date: Thu, 12 Apr 2012 12:07:59 -0400
1.1.40 is now up at http://people.debian.org/~mgilbert

Best wishes,
Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Fri, 13 Apr 2012 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Fri, 13 Apr 2012 19:36:04 GMT) Full text and rfc822 format available.

Message #323 received at 585409@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 585409@bugs.debian.org, leader@debian.org
Subject: Re: [pkg-wine-party] Bug#585409: Bug#585409: Too ambitious!
Date: Fri, 13 Apr 2012 15:32:24 -0400
On Thu, Apr 12, 2012 at 12:07 PM, Michael Gilbert wrote:
1.1.41 is now up at http://people.debian.org/~mgilbert

Best wishes,
Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sat, 14 Apr 2012 18:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sat, 14 Apr 2012 18:03:06 GMT) Full text and rfc822 format available.

Message #328 received at 585409@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 585409@bugs.debian.org, leader@debian.org
Subject: Re: [pkg-wine-party] Bug#585409: Too ambitious!
Date: Sat, 14 Apr 2012 13:59:19 -0400
1.1.42 is now up at http://people.debian.org/~mgilbert

Ok, so I've been doing this for a week now, and it's gone fairly well
except for the days that I was simply too busy with other things.

Anyway, continuing at this rate, 1.2 should be achievable in less than
a month.  Although if I could have pushed these changes directly to
unstable, it would be more like 3 weeks instead of 4.

So, I would like to again make a sincere request for commit access to
the pkg-wine git repo and an ack to upload to unstable so I can really
get this thing going for real.

Stefano, as you can see, lack of interaction from Ove continues to be
a significant barrier to progress in this package.  We would like take
you up on your offer to request that the alioth admins accept mine and
Stephen's request for commit access to pkg-wine if that seems
reasonable.

Best wishes,
Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sat, 14 Apr 2012 19:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Belmonte <eaglescreen@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sat, 14 Apr 2012 19:15:02 GMT) Full text and rfc822 format available.

Message #333 received at 585409@bugs.debian.org (full text, mbox):

From: Rafael Belmonte <eaglescreen@gmail.com>
To: Michael Gilbert <mgilbert@debian.org>, 585409@bugs.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: Bug#585409: Too ambitious!
Date: Sat, 14 Apr 2012 21:14:23 +0200
I think you should focus your work in wine 1.4 which is the currently
stable release.

El día 14 de abril de 2012 19:59, Michael Gilbert
<mgilbert@debian.org> escribió:
> 1.1.42 is now up at http://people.debian.org/~mgilbert
>
> Ok, so I've been doing this for a week now, and it's gone fairly well
> except for the days that I was simply too busy with other things.
>
> Anyway, continuing at this rate, 1.2 should be achievable in less than
> a month.  Although if I could have pushed these changes directly to
> unstable, it would be more like 3 weeks instead of 4.
>
> So, I would like to again make a sincere request for commit access to
> the pkg-wine git repo and an ack to upload to unstable so I can really
> get this thing going for real.
>
> Stefano, as you can see, lack of interaction from Ove continues to be
> a significant barrier to progress in this package.  We would like take
> you up on your offer to request that the alioth admins accept mine and
> Stephen's request for commit access to pkg-wine if that seems
> reasonable.
>
> Best wishes,
> Mike
>
>
>
> _______________________________________________
> pkg-wine-party mailing list
> pkg-wine-party@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-wine-party




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sat, 14 Apr 2012 19:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sat, 14 Apr 2012 19:24:03 GMT) Full text and rfc822 format available.

Message #338 received at 585409@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 585409@bugs.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: Bug#585409: Too ambitious!
Date: Sat, 14 Apr 2012 15:20:41 -0400
> I think you should focus your work in wine 1.4 which is the currently
> stable release.

The goal is of course to get to 1.4, bet we need to get the house in
order on 1.2 first, then we'll make the jump.  Like I've said, that
should only take a month.

If you're interested in 1.4 now, you can take a look at the changes
we'll need to apply there when we do that jump so we can be better
prepared.

Best wishes,
Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sat, 14 Apr 2012 19:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Belmonte <eaglescreen@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sat, 14 Apr 2012 19:30:03 GMT) Full text and rfc822 format available.

Message #343 received at 585409@bugs.debian.org (full text, mbox):

From: Rafael Belmonte <eaglescreen@gmail.com>
To: Michael Gilbert <michael.s.gilbert@gmail.com>, 585409@bugs.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: Bug#585409: Bug#585409: Too ambitious!
Date: Sat, 14 Apr 2012 21:27:29 +0200
Ok, I understand.
Sorry I am now involved in other projects and have no time right now
to play with wine.
Thanks for your valuable work.

El día 14 de abril de 2012 21:20, Michael Gilbert
<michael.s.gilbert@gmail.com> escribió:
>> I think you should focus your work in wine 1.4 which is the currently
>> stable release.
>
> The goal is of course to get to 1.4, bet we need to get the house in
> order on 1.2 first, then we'll make the jump.  Like I've said, that
> should only take a month.
>
> If you're interested in 1.4 now, you can take a look at the changes
> we'll need to apply there when we do that jump so we can be better
> prepared.
>
> Best wishes,
> Mike
>
>
>
> _______________________________________________
> pkg-wine-party mailing list
> pkg-wine-party@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-wine-party




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sun, 15 Apr 2012 08:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sun, 15 Apr 2012 08:39:02 GMT) Full text and rfc822 format available.

Message #348 received at 585409@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: Michael Gilbert <mgilbert@debian.org>
Cc: 585409@bugs.debian.org, Ove Kaaven <ovek@arcticnet.no>
Subject: Re: [pkg-wine-party] Bug#585409: Too ambitious!
Date: Sun, 15 Apr 2012 10:35:22 +0200
[Message part 1 (text/plain, inline)]
On Sat, Apr 14, 2012 at 01:59:19PM -0400, Michael Gilbert wrote:
> 1.1.42 is now up at http://people.debian.org/~mgilbert
> 
> Ok, so I've been doing this for a week now, and it's gone fairly well
> except for the days that I was simply too busy with other things.
> 
> Anyway, continuing at this rate, 1.2 should be achievable in less than
> a month.  Although if I could have pushed these changes directly to
> unstable, it would be more like 3 weeks instead of 4.

Thanks a lot for your work, Michael.

> So, I would like to again make a sincere request for commit access to
> the pkg-wine git repo and an ack to upload to unstable so I can really
> get this thing going for real.
> 
> Stefano, as you can see, lack of interaction from Ove continues to be
> a significant barrier to progress in this package.  We would like take
> you up on your offer to request that the alioth admins accept mine and
> Stephen's request for commit access to pkg-wine if that seems
> reasonable.

First of all let me put things straight: by chiming in this thread it
was not my intention to override Ove as package maintainer (nor I
could). I've chimed in under the *impression* that Ove was (temporarily)
MIA and I wanted to mention the possibility of asking Alioth admins to
grant the commit access, in case that was blocking the work of others.
Since then, Ove has replied <4F733456.6060801@arcticnet.no> making clear
he is definitely not MIA.

As he is the package maintainer, he has all the rights to set his own
policy. If people want to challenge his choices, there are other ways to
do so. But it will be better for everybody if you all could find ways to
work together, and it doesn't seem hard to do so.

My reading of Ove's mail in this buglog is that he wanted specific
packaging things to be done before proceeding with a new upstream
release upload, and as a condition to grant commit access to the Git
repository. Ove: can you confirm that? Given that both you and Stephen
are fairly active (thanks a bunch for it!), it shouldn't be hard to meet
those requirements and enlarge the maintenance team so that nobody is
blocked anymore.

All in all, it seems to me there is quite some progress on this issue.
How about continuing this way? I suggest doing work in some Git
repository of yours, so that once you get access to the team repository
it is just a matter of pushing some refs and you're all set.  I
understand there might be concerns of timing, due to the nearing of the
freeze date. But it seems to me you can also work-around that by the
usual mechanisms, e.g. a very long DELAYED upload giving Ove the time to
react.

Cheers.
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sun, 15 Apr 2012 13:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sun, 15 Apr 2012 13:27:03 GMT) Full text and rfc822 format available.

Message #353 received at 585409@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: Michael Gilbert <michael.s.gilbert@gmail.com>, 585409@bugs.debian.org
Subject: Re: Bug#585409: [pkg-wine-party] Bug#585409: Bug#585409: Too ambitious!
Date: Sun, 15 Apr 2012 19:25:28 +0600
[Message part 1 (text/plain, inline)]
On Sat, Apr 14, 2012 at 03:20:41PM -0400, Michael Gilbert wrote:
> > I think you should focus your work in wine 1.4 which is the currently
> > stable release.
> The goal is of course to get to 1.4, bet we need to get the house in
> order on 1.2 first
Why do we *need* that?
Why does that *require* packaging every 1.1.x version?

> Like I've said, that should only take a month.
It's not "just a month", especially before the freeze. And, if I
understand correctly, it's a month only in the best case, and nobody can
be sure about his future occupation, amount of free time etc.

-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Tue, 17 Apr 2012 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Tue, 17 Apr 2012 16:18:03 GMT) Full text and rfc822 format available.

Message #358 received at 585409@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: Michael Gilbert <mgilbert@debian.org>
Cc: 585409@bugs.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: Bug#585409: Too ambitious!
Date: Tue, 17 Apr 2012 18:15:33 +0200
* Michael Gilbert:

> 1.1.42 is now up at http://people.debian.org/~mgilbert

Am I assuming that you worked with the scripts in debian/maint?

Would you like you share your changes via a Git repository so someone
else can put some time into updating the package to newer 1.1-based
versions?

Thanks,
-Hilko




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Fri, 20 Apr 2012 18:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Fri, 20 Apr 2012 18:36:06 GMT) Full text and rfc822 format available.

Message #363 received at 585409@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 585409@bugs.debian.org, leader@debian.org
Subject: Announcing the month of wine/wine-unstable NMUs
Date: Fri, 20 Apr 2012 14:32:02 -0400
Hi,

I have decided to go ahead and work toward solving bug #585409 (the
please package wine 1.2 series bug).

As I am not a package maintainer, I will be using my power as a DD to
push NMUs.  I think this work qualifies as an "Other NMU" according to
the Developers Reference section 5 (which requires at least a 10 day
delay), so I have started by uploading wine-unstable 1.1.37-0.1 to the
DELAYED/10 queue.  As Ove had a requirement to package each new 1.1.x
release at a maximum rate of one per day, I will also be uploading
each of the subsequent versions to the following versions DELAYED/11,
DELAYED/12, and so on.  Each changelog entry will state
"Non-maintainer upload."  I will only make the essential changes
needed to get the each new version working, and there will be no
cosmetic changes.

Seeing as the debdiffs for this work are far too unwieldy to attach
usefully as a patch, I am instead including a link to my personal wine
vcs, which was originally cloned directly from the existing alioth
wine repo:
http://anonscm.debian.org/gitweb/?p=users/mgilbert/wine.git

Here is the schedule:
4/20/2012 (today) begin uploads to DELAYED/10 and greater
5/01/2012 wine-unstable 1.1.37 enters unstable
5/02/2012 wine-unstable 1.1.38 enters unstable
5/03/2012 wine-unstable 1.1.39 enters unstable
5/04/2012 wine-unstable 1.1.40 enters unstable
5/05/2012 wine-unstable 1.1.41 enters unstable
5/06/2012 wine-unstable 1.1.42 enters unstable
5/07/2012 wine-unstable 1.1.43 enters unstable
5/08/2012 wine-unstable 1.1.44 enters unstable
5/09/2012 wine-unstable 1.2.0 enters unstable
5/09/2012 wine 1.2.3 uploaded to DELAYED/10
5/10/2012 wine-unstable 1.2.1 enters unstable
5/11/2012 wine-unstable 1.2.2 enters unstable
5/12/2012 wine-unstable 1.2.3 enters unstable
5/19/2012 wine 1.2.3 enters unstable

Best wishes,
Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sat, 21 Apr 2012 10:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sat, 21 Apr 2012 10:15:39 GMT) Full text and rfc822 format available.

Message #368 received at 585409@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Michael Gilbert <mgilbert@debian.org>, 585409@bugs.debian.org
Subject: Re: Bug#585409: Announcing the month of wine/wine-unstable NMUs
Date: Sat, 21 Apr 2012 12:12:31 +0200
[Message part 1 (text/plain, inline)]
Hi Michael,

On Fri, 20 Apr 2012 14:32:02 -0400, Michael Gilbert <mgilbert@debian.org>
wrote:
> I have decided to go ahead and work toward solving bug #585409 (the
> please package wine 1.2 series bug).

Excellent, thanks for taking this on!

> Here is the schedule:
[...]
> 5/09/2012 wine-unstable 1.2.0 enters unstable
> 5/09/2012 wine 1.2.3 uploaded to DELAYED/10
> 5/10/2012 wine-unstable 1.2.1 enters unstable
> 5/11/2012 wine-unstable 1.2.2 enters unstable
> 5/12/2012 wine-unstable 1.2.3 enters unstable
> 5/19/2012 wine 1.2.3 enters unstable

Shouldn't these all be just "wine", not "wine-unstable"?

Regards,

Stephen
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sat, 21 Apr 2012 11:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan McCrohan <jmccrohan@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sat, 21 Apr 2012 11:48:03 GMT) Full text and rfc822 format available.

Message #373 received at 585409@bugs.debian.org (full text, mbox):

From: Jonathan McCrohan <jmccrohan@gmail.com>
To: mgilbert@debian.org, 585409@bugs.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: Announcing the month of wine/wine-unstable NMUs
Date: Sat, 21 Apr 2012 12:44:20 +0100
Hi Mike,

On 20/04/12 19:32, Michael Gilbert wrote:
> As I am not a package maintainer, I will be using my power as a DD to
> push NMUs.  I think this work qualifies as an "Other NMU" according to
> the Developers Reference section 5 (which requires at least a 10 day
> delay), so I have started by uploading wine-unstable 1.1.37-0.1 to the
> DELAYED/10 queue.  As Ove had a requirement to package each new 1.1.x
> release at a maximum rate of one per day, I will also be uploading
> each of the subsequent versions to the following versions DELAYED/11,
> DELAYED/12, and so on.

Is it possible to take advantage of the fact that there are now 4
dinstall runs per day to speed up this process?

Jon




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sat, 21 Apr 2012 16:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sat, 21 Apr 2012 16:09:03 GMT) Full text and rfc822 format available.

Message #378 received at 585409@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: Michael Gilbert <mgilbert@debian.org>
Cc: 585409@bugs.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: Announcing the month of wine/wine-unstable NMUs
Date: Sat, 21 Apr 2012 18:07:59 +0200
Mike,

thank you for publishing your changes up to 1.1.42-0.1. Starting with a
clone of your git repository, I have prepared 1.1.43-0.1 packages and am
now putting 1.1.44-0.1 through sbuild. Unless anyone objects, I will
upload those to the appropriate DELAYED queues.

My changes can be viewed at
<http://anonscm.debian.org/gitweb/?p=users/bengen/wine.git>.

One other thing: After 1.1.44, seven -rc versions were released before
1.2.0. Should those be taken care of, too?

Cheers,
-Hilko




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sat, 21 Apr 2012 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sat, 21 Apr 2012 17:12:03 GMT) Full text and rfc822 format available.

Message #383 received at 585409@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 585409@bugs.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: Announcing the month of wine/wine-unstable NMUs
Date: Sat, 21 Apr 2012 13:09:01 -0400
Hi,

On Sat, Apr 21, 2012 at 12:07 PM, Hilko Bengen wrote:
> Mike,
>
> thank you for publishing your changes up to 1.1.42-0.1. Starting with a
> clone of your git repository, I have prepared 1.1.43-0.1 packages and am
> now putting 1.1.44-0.1 through sbuild. Unless anyone objects, I will
> upload those to the appropriate DELAYED queues.
>
> My changes can be viewed at
> <http://anonscm.debian.org/gitweb/?p=users/bengen/wine.git>.

This is great! I would much prefer to work together, so if we could
work from the same git remote, that would be far more ideal.  I just
made all the files in my wine.git directory on git.debian.org
world-writable, so see if you can push your changes there.

> One other thing: After 1.1.44, seven -rc versions were released before
> 1.2.0. Should those be taken care of, too?

I don't think the release candidates add a whole lot of value, and
will lead to an additional week delay, so I'm going to skip them.

Best wishes,
Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sat, 21 Apr 2012 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Austin English <austinenglish@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sat, 21 Apr 2012 22:21:03 GMT) Full text and rfc822 format available.

Message #388 received at 585409@bugs.debian.org (full text, mbox):

From: Austin English <austinenglish@gmail.com>
To: Michael Gilbert <michael.s.gilbert@gmail.com>, 585409@bugs.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: Bug#585409: Announcing the month of wine/wine-unstable NMUs
Date: Sat, 21 Apr 2012 19:16:52 -0300
On Sat, Apr 21, 2012 at 14:09, Michael Gilbert
<michael.s.gilbert@gmail.com> wrote:
> Hi,
>
> On Sat, Apr 21, 2012 at 12:07 PM, Hilko Bengen wrote:
>> Mike,
>>
>> thank you for publishing your changes up to 1.1.42-0.1. Starting with a
>> clone of your git repository, I have prepared 1.1.43-0.1 packages and am
>> now putting 1.1.44-0.1 through sbuild. Unless anyone objects, I will
>> upload those to the appropriate DELAYED queues.
>>
>> My changes can be viewed at
>> <http://anonscm.debian.org/gitweb/?p=users/bengen/wine.git>.
>
> This is great! I would much prefer to work together, so if we could
> work from the same git remote, that would be far more ideal.  I just
> made all the files in my wine.git directory on git.debian.org
> world-writable, so see if you can push your changes there.
>
>> One other thing: After 1.1.44, seven -rc versions were released before
>> 1.2.0. Should those be taken care of, too?
>
> I don't think the release candidates add a whole lot of value, and
> will lead to an additional week delay, so I'm going to skip them.

FWIW, at least the first few were comparable to a regular wine
release, still lots of bug fixes. The last few are typically
translations only.

-- 
-Austin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Sun, 22 Apr 2012 15:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Sun, 22 Apr 2012 15:42:02 GMT) Full text and rfc822 format available.

Message #393 received at 585409@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: Michael Gilbert <michael.s.gilbert@gmail.com>
Cc: 585409@bugs.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: Bug#585409: Announcing the month of wine/wine-unstable NMUs
Date: Sun, 22 Apr 2012 17:39:37 +0200
* Michael Gilbert:

>> My changes can be viewed at
>> <http://anonscm.debian.org/gitweb/?p=users/bengen/wine.git>.
>
> This is great! I would much prefer to work together, so if we could
> work from the same git remote, that would be far more ideal.  I just
> made all the files in my wine.git directory on git.debian.org
> world-writable, so see if you can push your changes there.

Done.

>> One other thing: After 1.1.44, seven -rc versions were released before
>> 1.2.0. Should those be taken care of, too?
>
> I don't think the release candidates add a whole lot of value, and
> will lead to an additional week delay, so I'm going to skip them.

Good. I'll continue with 1.2.0 then.

-Hilko




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Tue, 24 Apr 2012 13:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Tue, 24 Apr 2012 13:27:03 GMT) Full text and rfc822 format available.

Message #398 received at 585409@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: Michael Gilbert <michael.s.gilbert@gmail.com>
Cc: 585409@bugs.debian.org
Subject: Re: Bug#585409: Announcing the month of wine/wine-unstable NMUs
Date: Tue, 24 Apr 2012 15:23:30 +0200
I have uploaded 1.1.43-0.1 and 1.1.44-0.1 to the appropriate DELAYED
queues.

wine-1.2.0-0.1 (without -unstable) could be built after a minor change,
but when I leave debian/control.in alone, it depends on libwine-gecko
(without -unstable) which isn't available.

Should we build and upload a wine-gecko package or should the dependency
in the wine package be modified?

Cheers,
-Hilko




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Thu, 03 May 2012 12:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Thu, 03 May 2012 12:33:14 GMT) Full text and rfc822 format available.

Message #403 received at 585409@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <odyx@debian.org>
To: Hilko Bengen <bengen@debian.org>, Michael Gilbert <mgilbert@debian.org>
Cc: 585409@bugs.debian.org
Subject: #585409: wine/wine-unstable NMUs; #479659: RFH: wine
Date: Thu, 03 May 2012 14:21:32 +0200
[Message part 1 (text/plain, inline)]
Hi Hilko and Michael,

First, many thanks for your work towards more recent wine packages in
Debian: I definitely hope that this work will allow Wheezy to benefit
from wine 1.4 (and wine 1.5.3 as wine-unstable ?).

That said, I think that the current pace (and content, FWIW) of the NMUs
is fine but aren't really clear in terms of intent: are you interested
in just pushing NMUs out as one-shots (and hence letting the current
maintainers handle the responsibility of the resulting packages) to just
have newer wine versions available or are you interested in becoming
(co-)maintainers of wine (and wine-unstable FWIW). In that latter case,
this intent should IMHO be clearly stated in the #479659 RFH bug
(including links to packaging effort and NMU changes) as that would make
the situation much more clear to outsiders just reading the bugreports.

Le 24.04.2012 15:23, Hilko Bengen a écrit :
> Should we build and upload a wine-gecko package or should the
> dependency in the wine package be modified?

If I read [wG] correctly, wine 1.2 needs wine-gecko 1.0.0, which is
already packaged as wine-gecko-unstable, so for 1.2, I'd just go with a
symlink.

[wG] http://wiki.winehq.org/Gecko

wine 1.4 would need wine-gecko 1.4 which would IMHO preferably be
maintained as the wine-gecko package, allowing the "normal" and
"-unstable" suites to stay unentangled. (The packaging for wine-gecko
should of course be inspired by the one for wine-gecko-unstable.) Do you
need help in that domain?

Cheers and best regards,

OdyX

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Fri, 04 May 2012 01:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Fri, 04 May 2012 01:51:03 GMT) Full text and rfc822 format available.

Message #408 received at 585409@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: "Didier 'OdyX' Raboud" <odyx@debian.org>
Cc: 585409@bugs.debian.org
Subject: Re: #585409: wine/wine-unstable NMUs; #479659: RFH: wine
Date: Thu, 3 May 2012 21:48:20 -0400
On Thu, May 3, 2012 at 8:21 AM, Didier 'OdyX' Raboud wrote:
> Hi Hilko and Michael,
>
> First, many thanks for your work towards more recent wine packages in
> Debian: I definitely hope that this work will allow Wheezy to benefit
> from wine 1.4 (and wine 1.5.3 as wine-unstable ?).

Yes, that's the goal :)

> That said, I think that the current pace (and content, FWIW) of the NMUs
> is fine but aren't really clear in terms of intent: are you interested
> in just pushing NMUs out as one-shots (and hence letting the current
> maintainers handle the responsibility of the resulting packages) to just
> have newer wine versions available or are you interested in becoming
> (co-)maintainers of wine (and wine-unstable FWIW). In that latter case,
> this intent should IMHO be clearly stated in the #479659 RFH bug
> (including links to packaging effort and NMU changes) as that would make
> the situation much more clear to outsiders just reading the bugreports.

I am interested in continuing to help with the package.  However, Ove
seems to not be willing to accept potential new maintainers as there
is the possibility that they may do something in a way that he
wouldn't.

So, anyway, there was discussion on -devel and on this list about that
recently, which should be required reading.  Given the current state,
NMUs seem to be the only viable option.

> Le 24.04.2012 15:23, Hilko Bengen a écrit :
>> Should we build and upload a wine-gecko package or should the
>> dependency in the wine package be modified?
>
> If I read [wG] correctly, wine 1.2 needs wine-gecko 1.0.0, which is
> already packaged as wine-gecko-unstable, so for 1.2, I'd just go with a
> symlink.
>
> [wG] http://wiki.winehq.org/Gecko
>
> wine 1.4 would need wine-gecko 1.4 which would IMHO preferably be
> maintained as the wine-gecko package, allowing the "normal" and
> "-unstable" suites to stay unentangled. (The packaging for wine-gecko
> should of course be inspired by the one for wine-gecko-unstable.) Do you
> need help in that domain?

Stephen Kitt is already preparing those:
http://anonscm.debian.org/gitweb/?p=users/steve-guest/wine-gecko.git

From what I understand the license review that he needs to go through
is pretty significant, so you could help him with that.

Best wishes,
Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Fri, 04 May 2012 05:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Fri, 04 May 2012 05:33:03 GMT) Full text and rfc822 format available.

Message #413 received at 585409@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Michael Gilbert <michael.s.gilbert@gmail.com>, Didier 'OdyX' Raboud <odyx@debian.org>
Cc: 585409@bugs.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: #585409: wine/wine-unstable NMUs; #479659: RFH: wine
Date: Fri, 4 May 2012 07:29:14 +0200
Hi Mike, hi Didier,

On Thu, May 03, 2012 at 09:48:20PM -0400, Michael Gilbert wrote:
> On Thu, May 3, 2012 at 8:21 AM, Didier 'OdyX' Raboud wrote:
> > wine 1.4 would need wine-gecko 1.4 which would IMHO preferably be
> > maintained as the wine-gecko package, allowing the "normal" and
> > "-unstable" suites to stay unentangled. (The packaging for wine-gecko
> > should of course be inspired by the one for wine-gecko-unstable.) Do you
> > need help in that domain?
> 
> Stephen Kitt is already preparing those:
> http://anonscm.debian.org/gitweb/?p=users/steve-guest/wine-gecko.git
> 
> From what I understand the license review that he needs to go through
> is pretty significant, so you could help him with that.

Yup, and I keep announcing dates to Mike that I keep missing too -
deadlines may make an interesting sound as they go wizzing by, but
it's annoying after a while! (Sorry...) The 1.1 review is getting
there, but I haven't started the 1.4 review which would be the next
step.

Regards,

Stephen




Reply sent to Michael Gilbert <mgilbert@debian.org>:
You have taken responsibility. (Sat, 26 May 2012 00:36:03 GMT) Full text and rfc822 format available.

Notification sent to Svante R Signell <srs@kth.se>:
Bug acknowledged by developer. (Sat, 26 May 2012 00:36:03 GMT) Full text and rfc822 format available.

Message #418 received at 585409-close@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 585409-close@bugs.debian.org
Date: Fri, 25 May 2012 20:33:08 -0400
version: 1.2.3-0.1

Version 1.2 is now in unstable.




Reply sent to Michael Gilbert <mgilbert@debian.org>:
You have taken responsibility. (Sat, 26 May 2012 00:36:04 GMT) Full text and rfc822 format available.

Notification sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Bug acknowledged by developer. (Sat, 26 May 2012 00:36:04 GMT) Full text and rfc822 format available.

Reply sent to Michael Gilbert <mgilbert@debian.org>:
You have taken responsibility. (Sat, 26 May 2012 00:36:04 GMT) Full text and rfc822 format available.

Notification sent to Deniz Akcal <denbian@live.com>:
Bug acknowledged by developer. (Sat, 26 May 2012 00:36:04 GMT) Full text and rfc822 format available.

Reply sent to Michael Gilbert <mgilbert@debian.org>:
You have taken responsibility. (Sat, 26 May 2012 00:36:05 GMT) Full text and rfc822 format available.

Notification sent to Aron Xu <happyaron.xu@gmail.com>:
Bug acknowledged by developer. (Sat, 26 May 2012 00:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Tue, 05 Jun 2012 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Tue, 05 Jun 2012 15:57:03 GMT) Full text and rfc822 format available.

Message #438 received at 585409@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 585409@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: this bug .. bugs me
Date: Tue, 5 Jun 2012 11:52:52 -0400
[Message part 1 (text/plain, inline)]
10 Jun 2010  a bug was filed wanting wine 1.2 packaged in time for squeeze.
12 Aug 2010  packages of 1.2 were available .. but not in Debian.
 6 Feb 2011  squeeze shipped with the same wine version that shipped in lenny.
 7 Mar 2012  wine 1.4 was released as the new upstream stable release
25 May 2012  wine 1.2 was finally made available in unstable

I've read over this entire bug, and while there are clearly some hard
problems and a lot of good work shown here, I'm seeing a concerning
trend throughout it.

We seem to have a problem with being willing to trade off simple
solutions that will greatly benefit users, for doing things "right",
even when doing things "right" benefits users *less*.

Examples of that seen in this bug include:

* An idea that every old release of wine needs to be packaged in sequence,
  so it'll be available in snapshots, so users can pull down an old
  version as needed for maximal ability to find one that works. That's
  the theory, the actual end result is that users had no modern
  wine version at all to use, for many years.
  
  This is a simple tradeoff of benefits to sets of users,
  and the set of users who know how to use snapshot.debian.org, need
  a two year old version of wine there, and can find the right version is
  clearly much smaller than the set of users who would like the latest
  wine to see if it runs some program.

* Wanting to support multiarch coinstallability, plus wine and
  wine-unstable coinstallability. Nice goal, but again it prioritises
  some small set of users who need 2 or even 4 versions of wine
  coinstalled over the larger set of users who just want the newest wine
  version.

* Not using existing Ubuntu packages of wine despite them being
  available for a long time at newer versions.

* People doing work allowing themselves to be blocked for a long time on
  some minor procedural point, like whether they have commit access to a
  particular git repository, or are not being added as a member of some
  particular team, or whether infrequent and apologetic posts by a package
  maintainer are enough to keep them from being considered MIA.

This bug is a textbook example of making the perfect the enemy of the good.
It's disconcerting that we, or our users, are willing to put up with this.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Tue, 05 Jun 2012 16:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Tue, 05 Jun 2012 16:51:03 GMT) Full text and rfc822 format available.

Message #443 received at 585409@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 585409@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: this bug .. bugs me
Date: Tue, 5 Jun 2012 12:46:46 -0400
On Tue, Jun 5, 2012 at 11:52 AM, Joey Hess wrote:
> 10 Jun 2010  a bug was filed wanting wine 1.2 packaged in time for squeeze.
> 12 Aug 2010  packages of 1.2 were available .. but not in Debian.
>  6 Feb 2011  squeeze shipped with the same wine version that shipped in lenny.
>  7 Mar 2012  wine 1.4 was released as the new upstream stable release
> 25 May 2012  wine 1.2 was finally made available in unstable
>
> I've read over this entire bug, and while there are clearly some hard
> problems and a lot of good work shown here, I'm seeing a concerning
> trend throughout it.
>
> We seem to have a problem with being willing to trade off simple
> solutions that will greatly benefit users, for doing things "right",
> even when doing things "right" benefits users *less*.
>
> Examples of that seen in this bug include:
>
> * An idea that every old release of wine needs to be packaged in sequence,
>  so it'll be available in snapshots, so users can pull down an old
>  version as needed for maximal ability to find one that works. That's
>  the theory, the actual end result is that users had no modern
>  wine version at all to use, for many years.
>
>  This is a simple tradeoff of benefits to sets of users,
>  and the set of users who know how to use snapshot.debian.org, need
>  a two year old version of wine there, and can find the right version is
>  clearly much smaller than the set of users who would like the latest
>  wine to see if it runs some program.
>
> * Wanting to support multiarch coinstallability, plus wine and
>  wine-unstable coinstallability. Nice goal, but again it prioritises
>  some small set of users who need 2 or even 4 versions of wine
>  coinstalled over the larger set of users who just want the newest wine
>  version.
>
> * Not using existing Ubuntu packages of wine despite them being
>  available for a long time at newer versions.
>
> * People doing work allowing themselves to be blocked for a long time on
>  some minor procedural point, like whether they have commit access to a
>  particular git repository, or are not being added as a member of some
>  particular team, or whether infrequent and apologetic posts by a package
>  maintainer are enough to keep them from being considered MIA.
>
> This bug is a textbook example of making the perfect the enemy of the good.
> It's disconcerting that we, or our users, are willing to put up with this.

Not sure what to say other than when I became a DD and gained the
power to NMU, I started fixing this.  Before that, Ove's contributor
rejections blocked myself and many other non-DDs from effectively
helping.

Anyway, we've had recent threads on the continuing issues with strong
package maintenance, and from what I can tell, there is no clear
direction.  The solution I'm pursuing is a liberal application of
NMUs, and it seems to be working (albeit a bit slowly).  Do you have
ideas on other more effective solutions?

Best wishes,
Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Tue, 05 Jun 2012 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Tue, 05 Jun 2012 17:12:03 GMT) Full text and rfc822 format available.

Message #448 received at 585409@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: 585409@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: this bug .. bugs me
Date: Tue, 5 Jun 2012 19:09:33 +0200
* Joey Hess (joeyh@debian.org) [120605 17:53]:
> I've read over this entire bug, and while there are clearly some hard
> problems and a lot of good work shown here, I'm seeing a concerning
> trend throughout it.

I think the issues are now getting way better, with e.g. hillu
uploading new wine versions to unstable. So while it bugs me as well,
I don't think we need to discuss much about it for this package
anymore as of now, as the right actions now take place. It might have
taken too long to arrive there, but now we are there.


Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Tue, 05 Jun 2012 17:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Tue, 05 Jun 2012 17:36:03 GMT) Full text and rfc822 format available.

Message #453 received at 585409@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 585409@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: this bug .. bugs me
Date: Tue, 5 Jun 2012 19:17:49 +0200
[Message part 1 (text/plain, inline)]
(No CC, please, I'm subscribed to -devel)

Quoting Michael Gilbert (mgilbert@debian.org):

> Anyway, we've had recent threads on the continuing issues with strong
> package maintenance, and from what I can tell, there is no clear
> direction.  The solution I'm pursuing is a liberal application of
> NMUs, and it seems to be working (albeit a bit slowly).  Do you have
> ideas on other more effective solutions?


You mean, besides completely hijacking the package? 

The last maintainer upload is dated 2010/05/23. 

So, from my POV, you (Michael) and Hilko Bengen seem to be the real
package maintainers for wine.

My suggestion: do a maintainer upload of 1.4 in unstable, unless it
would affect some transition. And do it now.

PS: I have no particular interest in wine, but, really, from what I
see, this seems to be the only solution to bring  more life to the
package.  And, of course, I have no authority (except my ignorance)
for suggesting this. Just giving my advice..:)



[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Tue, 05 Jun 2012 17:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Tue, 05 Jun 2012 17:45:02 GMT) Full text and rfc822 format available.

Message #458 received at 585409@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 585409@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: this bug .. bugs me
Date: Tue, 5 Jun 2012 13:41:42 -0400
On Tue, Jun 5, 2012 at 1:17 PM, Christian PERRIER wrote:
> You mean, besides completely hijacking the package?
>
> The last maintainer upload is dated 2010/05/23.
>
> So, from my POV, you (Michael) and Hilko Bengen seem to be the real
> package maintainers for wine.
>
> My suggestion: do a maintainer upload of 1.4 in unstable, unless it
> would affect some transition. And do it now.

I prefer cordiality.  I would rather give Ove a fairly significant
amount of time before pursuing any such change. And even then, I plan
to defer the matter to the tech committee because I believe initiating
a takeover on my own is a conflict of interest, and again I am one for
cordiality.

Best wishes,
Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Tue, 05 Jun 2012 17:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Tue, 05 Jun 2012 17:57:06 GMT) Full text and rfc822 format available.

Message #463 received at 585409@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 585409@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: this bug .. bugs me
Date: Tue, 5 Jun 2012 13:55:23 -0400
[Message part 1 (text/plain, inline)]
Andreas Barth wrote:
> * Joey Hess (joeyh@debian.org) [120605 17:53]:
> > I've read over this entire bug, and while there are clearly some hard
> > problems and a lot of good work shown here, I'm seeing a concerning
> > trend throughout it.
> 
> I think the issues are now getting way better, with e.g. hillu
> uploading new wine versions to unstable. So while it bugs me as well,
> I don't think we need to discuss much about it for this package
> anymore as of now, as the right actions now take place. It might have
> taken too long to arrive there, but now we are there.

I'm less concerned about wine specifically (though there's still some
potential to release wheezy without the current 1.4 stable release, it
seems). This bug seems to illustrate some general problems with
prioritisation, which is why I brought it up on -devel.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Tue, 05 Jun 2012 18:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Tue, 05 Jun 2012 18:00:05 GMT) Full text and rfc822 format available.

Message #468 received at 585409@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: Michael Gilbert <mgilbert@debian.org>
Cc: 585409@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: this bug .. bugs me
Date: Wed, 6 Jun 2012 00:01:41 +0600
[Message part 1 (text/plain, inline)]
On Tue, Jun 05, 2012 at 01:41:42PM -0400, Michael Gilbert wrote:
> > You mean, besides completely hijacking the package?
> >
> > The last maintainer upload is dated 2010/05/23.
> >
> > So, from my POV, you (Michael) and Hilko Bengen seem to be the real
> > package maintainers for wine.
> >
> > My suggestion: do a maintainer upload of 1.4 in unstable, unless it
> > would affect some transition. And do it now.
> 
> I prefer cordiality.  I would rather give Ove a fairly significant
> amount of time before pursuing any such change. And even then, I plan
> to defer the matter to the tech committee because I believe initiating
> a takeover on my own is a conflict of interest, and again I am one for
> cordiality.
Please don't forget that the freeze is near.

-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Tue, 05 Jun 2012 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Tue, 05 Jun 2012 18:21:03 GMT) Full text and rfc822 format available.

Message #473 received at 585409@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Michael Gilbert <mgilbert@debian.org>, 585409@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: [pkg-wine-party] Bug#585409: this bug .. bugs me
Date: Tue, 5 Jun 2012 20:17:51 +0200
Hi Mike,

On Tue, Jun 05, 2012 at 01:41:42PM -0400, Michael Gilbert wrote:
> On Tue, Jun 5, 2012 at 1:17 PM, Christian PERRIER wrote:
> > You mean, besides completely hijacking the package?
> >
> > The last maintainer upload is dated 2010/05/23.
> >
> > So, from my POV, you (Michael) and Hilko Bengen seem to be the real
> > package maintainers for wine.
> >
> > My suggestion: do a maintainer upload of 1.4 in unstable, unless it
> > would affect some transition. And do it now.
> 
> I prefer cordiality.  I would rather give Ove a fairly significant
> amount of time before pursuing any such change. And even then, I plan
> to defer the matter to the tech committee because I believe initiating
> a takeover on my own is a conflict of interest, and again I am one for
> cordiality.

I don't know whether you'd noticed - you and I have been added to the
Wine packaging team on Alioth, so technically our uploads now are no
longer NMUs but team uploads!

Regards,

Stephen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>:
Bug#585409; Package wine. (Wed, 06 Jun 2012 08:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>. (Wed, 06 Jun 2012 08:39:13 GMT) Full text and rfc822 format available.

Message #478 received at 585409@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: debian-devel@lists.debian.org
Cc: 585409@bugs.debian.org
Subject: Re: this bug .. bugs me
Date: Wed, 6 Jun 2012 10:36:42 +0200
[Message part 1 (text/plain, inline)]
On Tue, Jun 05, 2012 at 11:52:52AM -0400, Joey Hess wrote:
> This bug is a textbook example of making the perfect the enemy of the
> good.  It's disconcerting that we, or our users, are willing to put up
> with this.

I see what you mean and I absolutely agree with the general principle.
We have a tradition of being "perfectionists" in Debian, which is great,
but that couldn't be at stake with actually getting something (decently)
working to our users.

But in this specific case, in which I've been involved a bit encouraging
the recent course of action, I think that was not the only issue.
Rather, the "problem" seemed to be a mixture of what you mentioned + the
usual difficulty in acknowledging we are busy and the willingness of
letting it go our control a bit, so that others could chime in. It is
human, understandable, to some extent normal, and very well-known in
Debian.

The problem seems now on good track to be properly solved for Wheezy,
thanks to the work of Michael, Stephen, and Ove. But if there is some
sort of a take away message on this, I think it should rather be that
opening up package maintenance when we're busy and others are willing to
contribute is often the right way to go. There is very little to lose,
very little that cannot be undone, and often a lot to gain for our
users.

Even better, maintainers can prevent this kind of things from happening
by opening up *by default*, allowing commit to package maintenance Vcs
to all DDs, and documenting that commits there are welcome as long as
they follow some house rules.

Cheers.
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:36:42 GMT) Full text and rfc822 format available.

Removed tag(s) sid, squeeze, wheezy, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:44 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:30:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:19:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.